
libname x 'd:\ghreldata\wave1' ;
libname y 'd:\ghreldata\wave2' ;
libname z 'd:\ghreldata\wave3' ;
libname v 'd:\ghreldata\createdata' ;



proc sort data=z.rec330c;
by firm wid;
proc sort data=z.rec331c;
by firm wid;
proc sort data=z.rec332c;
by firm wid;
proc sort data=v.sizew3;
by firm;

data appren1; merge x.rec22c(in=a) x.rec12c x.rec11c ;
by  firm; if a;

options linesize=80;

wid=wid+20;
wave=1;
/*calculates annual total earnings*/
if r12q04h=4 then wages=(r12q06h*12);
if r12q04h=3 then wages=(r12q06h*26);
if r12q04h=2 then wages=(r12q06h*52);
if r12q04h=1 then wages=(r12q06h*52*6);
if r12q04h=. then wages=.;
if r12q06h=. then wages=0;
if r12q04h=5 then delete;
if r12q04h=4 then food=(r12q10ah*12);
if r12q04h=3 then food=(r12q10ah*26);
if r12q04h=2 then food=(r12q10ah*52);
if r12q04h=1 then food=(r12q10ah*52*6);
if r12q10ah=0 then food=0;
if r12q10ah=. then food=0;
if r12q04h=4 then house=(r12q10bh*12);
if r12q04h=3 then house=(r12q10bh*26);
if r12q04h=2 then house=(r12q10bh*52);
if r12q04h=1 then house=(r12q10bh*52*6);
if r12q10bh=0 then house=0;
if r12q10bh=. then house=0;
if r12q04h=4 then cloth=(r12q10ch*12);
if r12q04h=3 then cloth=(r12q10ch*26);
if r12q04h=2 then cloth=(r12q10ch*52);
if r12q04h=1 then cloth=(r12q10ch*52*6);
if r12q10ch=0 then cloth=0;
if r12q10ch=. then cloth=0;
if r12q04h=4 then trans=(r12q10dh*12);
if r12q04h=3 then trans=(r12q10dh*26);
if r12q04h=2 then trans=(r12q10dh*52);
if r12q04h=1 then trans=(r12q10dh*52*6);
if r12q10dh=0 then trans=0;
if r12q10dh=. then trans=0;
if r12q04h=4 then leave=(r12q10eh*12);
if r12q04h=3 then leave=(r12q10eh*26);
if r12q04h=2 then leave=(r12q10eh*52);
if r12q04h=1 then leave=(r12q10eh*52*6);
if r12q10eh=0 then leave=0;
if r12q10eh=. then leave=0;
if r12q04h=4 then other=(r12q10fh*12);
if r12q04h=3 then other=(r12q10fh*26);
if r12q04h=2 then other=(r12q10fh*52);
if r12q04h=1 then other=(r12q10fh*52*6);
if r12q10fh=0 then other=0;
if r12q10fh=. then other=0;
totearn=wages+food+house+cloth+trans+leave+other;
earnm=totearn/12;
if earnm=0 then dumearn=0;else dumearn=1;

/*defines education variables*/
if r22q04=1 then educ=0;
if educ=0 then none=1; else none=0;
if r22q04=2 then educ=6;
if educ=6 then primary=1; else primary=0;
if r22q04=3 then educ=10;
if educ=10 then middle=1; else middle=0;
if r22q04=4 then educ=14;
if educ=14 then second=1; else second=0;
if r22q04=8 then educ=19;
if educ=19 then univ=1; else univ=0;
if r22q04=7 then educ=16;
if educ=16 then prof=1; else prof=0;
if r22q04=5 then educ=11;
if educ=11 then voc=1; else voc=0;
if r22q04=6 then educ=15;
if educ=15 then poly=1; else poly=0;
if r22q04=. then educ=.;
if educ=. then none=.;
if educ=. then primary=.;
if educ=. then second=.;
if educ=. then univ=.;
if educ=. then poly=.;
if educ=. then voc=.;

/*Creates tenure varialbe*/

tenurey=r22q03y;
tenurem=r22q03m/12;
if r22q03y=. then tenurey=0;
if r22q03m=. then tenurem=0;
tenure=tenurey+tenurem;
if r22q03y =. and r22q03m=. then tenure=.;
tensq=(tenure**2);

sex=r22q01;
if sex=1 then male=1; else male=0;
if sex=2 then female=1; else female=0;
age=r22q02;
agesq=(age**2);
educsq=(educ**2);

if firm=7 and wid=21 then r22q06=1984;

yearls=r22q06;
yearbn=1992-age;
yearsc=yearls-yearbn-6;

if yearls=. and educ=0 then yearsc=0;

/*Creates occupational dummy*/
mgmt=0;admin=0 ;sales=0 ;super=0 ;maint=0;
tech=0 ;prod=0 ;master=0;support=0 ;proffes=0;appren=1 ;


keep firm wid wave earnm age agesq yearsc educ tenure dumearn male
mgmt admin sales super maint
tech prod master support appren proffes
none primary middle second univ voc poly prof ;



data appren2; merge y.rec224c(in=a) y.rec225c y.rec226 ;
by firm  wid; if a;

options linesize=80;
wid=wid+20;
wave=2;

/*creates variables of personal characteristics*/
if z24q2=1 then male=1; else male=0;
age=z24q3;
agesq=(age**2);

yearls=z24q8;
yearbn=1993-age;
yearsc=yearls-yearbn-6;

if yearls=. and educ=0 then yearsc=0;


/*creates education variables*/
if z24q61=1  then none=1; else none=0;
if none=1 then educ=0;
if z24q61=2  then primary=1; else primary=0;
if primary=1 then educ=6;
if z24q61=3  then middle=1; else middle=0;
if middle=1 then educ=10;
if z24q61=4  then second=1; else second=0;
if second=1 then educ=14;
if z24q61=8  then univ=1; else univ=0;
if univ=1 then educ=19;
if z24q62=5 then voc=1; else voc=0;
if voc=1 then educ=11;
if voc=1 and z24q61=4 then educ=15;
if z24q62=6 then poly=1; else poly=0;
if poly=1 then educ=12;
if poly=1 and z24q62=4 then educ=16;
if z24q62=7 then prof=1; else prof=0;
if prof=1 then educ=13;
if prof=1 and z24q61=4 then educ=17;
if educ=. then none=.;
if educ=. then primary=.;
if educ=. then middle=.;
if educ=. then second=.;
if educ=. then univ=.;
if educ=. then poly=.;
if educ=. then voc=.;
if educ=. then prof=.;




/*creates tenure variable*/

tenurey=z24q4y;
tenurem=z24q4m/12;
if z24q4y=. then tenurey=0;
if z24q4m=. then tenurem=0;
tenure=tenurey+tenurem;
if z24q4y =. and z24q4m=. then tenure=.;
tensq=(tenure**2);

/*creates weekly food allowance*/
if z24q11a=. then delete;
if z24q11a=5 then food=(z25q12/52);
if z24q11a=4 then food=(z25q12*12)/52;
if z24q11a=3 then food=z25q12;
if z24q11a=2 then food=(z25q12*6);
if z24q11=2 then food=0;

/*creates weekly housing allowance*/
if z24q11a=. then delete;
if z24q11a=5 then house=(z25q15/52);
if z24q11a=4 then house=(z25q15*12)/52;
if z24q11a=3 then house=z25q15;
if z24q11a=2 then house=(z25q15*6);
if z25q14=2 then house=0;

 /*creates weekly clothing allowance*/
if z24q11a=. then delete;
if z24q11a=5 then cloth=(z25q18/52);
if z24q11a=4 then cloth=(z25q18*12)/52;
if z24q11a=3 then cloth=z25q18;
if z24q11a=2 then cloth=(z25q18*6);
if z25q17=2 then cloth=0;

/*creates weekly wages*/
if z24q11a=. then delete;
if z24q11a=5 then wages=(z25q20/52);
if z24q11a=4 then wages=(z25q20*12)/52;
if z24q11a=3 then wages=z25q20;
if z24q11a=2 then wages=(z25q20*6);
if z25q19=2 then wages=0;

earn=food+house+cloth +wages;
earnm=earn*52/12;
if earnm=0 then dumearn=0;else dumearn=1;


/*Creates occupational dummy*/
mgmt=0;admin=0 ;sales=0 ;super=0 ; maint=0;
tech=0 ;prod=0 ;master=0;support=0 ;proffes=0;appren=1 ;


keep firm wid wave earnm age agesq yearsc educ tenure dumearn male
mgmt admin sales super  maint
tech prod master support appren proffes
none primary middle second univ voc poly prof;


data appren3; merge z.rec330c(in=a) z.rec331c z.rec332c ;
by firm wid; if a;

wid=wid+20;
wave=3;

/*creates personal charactersitics of apprentices*/
if l30q02=1 then male=1;else male=0;
age=l30q03;
agesq=age*age;

if firm=51 and wid=21 then l30q08=1988;
if firm=51 and wid=22 then l30q08=1986;
if firm=51 and wid=23 then l30q08=1984;
if firm=51 and wid=24 then l30q08=1989;

yearls=l30q08;
yearbn=1994-age;
yearsc=yearls-yearbn-6;

/*creates tenure variable*/

tenurey=l30q04y;
tenurem=l30q04m/12;
if l30q04y=. then tenurey=0;
if l30q04m=. then tenurem=0;
tenure=tenurey+tenurem;
if l30q04y =. and l30q04m=. then tenure=.;
tensq=(tenure**2);



/*creates education variables*/
if l30q061=1  then none=1; else none=0;
if none=1 then educ=0;
if l30q061=2  then primary=1; else primary=0;
if primary=1 then educ=6;
if l30q061=3  then middle=1; else middle=0;
if middle=1 then educ=10;
if l30q061=4  then second=1; else second=0;
if second=1 then educ=14;
if l30q061=8 or l30q062=8 then univ=1; else univ=0;
if univ=1 then educ=19;
if l30q062=5 then voc=1; else voc=0;
if voc=1 then educ=11;
if voc=1 and l30q061=4 then educ=15;
if l30q062=6 then poly=1; else poly=0;
if poly=1 then educ=12;
if poly=1 and l30q061=4 then educ=16;
if l30q062=7 then prof=1; else prof=0;
if prof=1 then educ=13;
if prof=1 and l30q061=4 then educ=17;
if educ=. then none=.;
if educ=. then primary=.;
if educ=. then middle=.;
if educ=. then second=.;
if educ=. then univ=.;
if educ=. then poly=.;
if educ=. then voc=.;
if educ=. then prof=.;

if yearls=. and educ=0 then yearsc=0;


/*Creates apprentices earnings*/
if l30q11=2  then l31q12=0;
if l31q14=2  then l31q15=0;
if l31q17=2  then l31q18=0;
if l31q19=2  then l31q20=0;
if l30q11=. and l31q12=. then l31q12=0;
if l31q14=.  and l31q15=. then l31q15=0;
if l31q17=. and l31q18=. then l31q18=0;
if l31q19=. and l31q20=. then l31q20=0;

earnm=l31q12+l31q15+l31q18+l31q20;
if earnm=0 then dumearn=0;else dumearn=1;

/*creates fees paid by apprentices*/
if l32q22=1 then payfees=1;
if l32q22=2 then payfees=0;
if payfees=0 then fees=0;
if l32q23k=. then l32q23k=0;
if payfees=1 then fees=l32q23c+l32q23k;
if l32q24=1 then payfeef=1;
if l32q24=2 then payfeef=0;
if l32q25k=. then l32q25k=0;
if payfeef=0 then feef=0;
if payfeef=1 then feef=l32q25c+l32q25k;



/*Creates occupational dummy*/
mgmt=0;admin=0 ;sales=0 ;super=0 ;maint=0;
tech=0 ;prod=0 ;master=0;support=0 ;proffes=0;appren=1 ;

keep firm wid wave earnm age agesq yearsc educ tenure dumearn male
mgmt admin sales super  maint
tech prod master support appren proffes
none primary middle second univ voc poly prof ;

data v.appren;set appren1 appren2 appren3;
proc means;
run;
