
libname cd 'd:\sasprogs\rped5may99public\createdata';

libname j1 'd:\sasprogs\rped5may99public\wave1';
libname j2 'd:\sasprogs\rped5may99public\wave2';
libname j3 'd:\sasprogs\rped5may99public\wave3';
libname j4 'd:\sasprogs\rped5may99public\wave4';
libname j5 'd:\sasprogs\rped5may99public\wave5';


proc sort data=cd.genfirm;by firm wave;
proc sort data=cd.common;by firm;
proc sort data=cd.invlb;by firm wave;

data temp0;merge cd.genfirm cd.invlb;by firm wave;
if invqu=. then invqu=inv;
/*Check on data
proc sort;by wave; proc means; var invqu invplant invbuild invland;by wave;
run;
*/

/*Corrections based on reviewing questionnaires
Firm 19 did undertake a substantial investment
in wave 2 that was not refected inthe capital
 stock figures beyond wave 2 in the data*/

if firm=19 then do;
if wave=3 then cap=cap+(2950400*166.8/116.4);
if wave=4 then cap=cap+(2950400*238.4/116.4);
if wave=5 then cap=cap+(2950400*314.9/116.4);
if wave=6 then cap=cap+(2950400*441.6/116.4);
if wave=7 then cap=cap+(2950400*557.7/116.4);
end;

if firm=42 and wave=2 then cap=422000000;

if firm=68 and wave=2 then invqu=0;
if firm=73 and wave=1 then invqu=0;
if firm=91 and wave=4 then invqu=0;
if firm=106 and wave=4 then invqu=0;
if firm=106 and wave=5 then invqu=0;
if firm=113 and wave=1 then invqu=0;
if firm=131 and wave=4 then cap=500000000*238.4/166.8;
if firm=131 and wave=5 then cap=500000000*314.9/166.8;
if firm=140 and wave=4 then invqu=0;
if firm=140 and wave=5 then invqu=0;
if firm=147 and wave=3 then invqu=0;
if firm=155 and wave=4 then invqu=950000;
if firm=155 and wave=5 then invqu=500000;
if firm=159 and wave=4 then invqu=0;
if firm=159 and wave=5 then invqu=0;
if firm=180 and wave=3 then invqu=0;
if firm=185 and wave=4 then invqu=0;
if firm=185 and wave=5 then invqu=0;

invcap=invqu/cap;

proc sort;by firm ;


data labp17;merge temp0 cd.common;by firm;

options linesize=80;
title ' Merged waves 1-4 Production Data (labp15)';
if klbsal=. then klbsal=klbrep;

data cap1;set labp17;
if wave=1;
klb1=klbsal;
cap1=cap;
invqu1=invqu;
invlb1=invland+invbuild;
keep firm wave cap1 invqu1 klbl invlb;
proc sort;by firm;
data cap2;set labp17;
if wave=2;
cap2=cap;
klb2=klbsal;
invqu2=invqu;
invlb2=invland+invbuild;
keep firm wave cap2 invqu2 klb2 invlb2;
proc sort;by firm;
data cap3;set labp17;
if wave=3;
cap3=cap;
klb3=klbsal;
invqu3=invqu;
invlb3=invland+invbuild;
keep firm wave cap3 invqu3 klb3 invlb3;
proc sort;by firm;
data cap4;set labp17;
if wave=4;
cap4=cap;
klb4=klbsal;
invqu4=invqu;
invlb4=invland+invbuild;
keep firm wave cap4 invqu4 klb4 invlb4;
proc sort;by firm;
data cap5;set labp17;
if wave=5;
cap5=cap;
klb5=klbsal;
invqu5=invqu;
invlb5=invland+invbuild;
keep firm wave cap5 invqu5 klb5 invlb5;
proc sort;by firm;
data cap6;set labp17;
if wave=6;
cap6=cap;
klb6=klbsal;
invqu6=inv;
invlb6=invland+invbuild;
keep firm wave cap6 invqu6 klb6 invlb6;
proc sort;by firm;
proc means; run;

data cap7;set labp17;
if wave=7;
cap7=cap;
klb7=klbsal;
invqu7=inv;
invlb7=invland+invbuild;
keep firm wave cap7 invqu7 klb7 invlb7;
proc sort;by firm;

data cap;merge cap1 cap2 cap3 cap4 cap5 cap6 cap7;by firm;

/*The deflator used for the capital stock is a weighted average of
the urban cpi (0.25) and the US$ excahnge rate 0.75

                cpi       er           delator  US export UVs   Exports Volume
1990            83.99     88.7                  99.1
1991            100       100           100      100             201.7
1992            109.3     118.8        116.4     100.1           207.1
1993            137.6     176.5         166.8    100.4           241.5
1994            173.2     260.1         238.4    102.6           241.8
1995            280.3     326.4         314.9    107.7           259.5
1996            431.1     445.1         441.6
1997            554.5     558.8         557.7

 */


capn7=cap7;
capn6=cap6;
capn5=(capn6-invqu5)*314.9/441.6;
if capn5=. then capn5=cap5;
capn4=(capn5-invqu4)*238.4/314.9;
if capn4=. then capn4=cap4;
capn3=(capn4-invqu3)*166.8/238.4;
if capn3=. then capn3=cap3;
capn2=(capn3-invqu2)*116.4/166.8;
if capn2=. then capn2=cap2;
capn1=(capn2-invqu1)*100/116.4;
if capn1=. then capn1=cap1;

klbn7=klb7;
klbn6=klb6;
klbn5=(klbn6-invlb5)*280.3/431.1;
if klbn5 le 0 then klbn5=klb5;
klbn4=(klbn5-invlb4)*173.2/280.3;
if klbn4 le 0 then klbn4=klb4;
klbn3=(klbn4-invlb3)*137.6/173.2;
if klbn3 le 0 then klbn3=klb3;
klbn2=(klbn3-invlb2)*109.3/137.6;
if klbn2 le 0 then klbn2=klb2;
klbn1=(klbn2-invlb1)*100/118.8;
if klbn1=. then klbn1=klb1;

/*dep is preciation rate*/
dep=0.02;

capn1cp=capn1;
capn2cp=capn1+(invqu1/1.164)-dep*capn1;
if capn2cp=. then capn2cp=capn2/1.164;
if capn2=. then capn2=capn2cp*1.164;
capn3cp=capn2cp+(invqu2/1.668)-dep*capn2cp;
if capn3cp=. then capn3cp=capn3/1.668;
if capn3=. then capn3=capn3cp*1.668;
capn4cp=capn3cp+(invqu3/2.384)-dep*capn3cp;
if capn4cp=. then capn4cp=capn4/2.384;
if capn4=. then capn4=capn4cp*2.384;
capn5cp=capn4cp+(invqu4/3.149)-dep*capn4cp;
if capn5cp=. then capn5cp=capn5/3.149;
if capn5=. then capn5=capn5cp*3.149;
capn6cp=capn5cp+(invqu5/4.416)-dep*capn5cp;
if capn6cp=. then capn6cp=capn6/4.416;
if capn6=. then capn6=capn6cp*4.416;
capn7cp=capn6cp+(invqu6/5.577)-dep*capn6cp;
if capn7=. then capn7=capn7cp*5.577;

klbn1cp=klbn1;
klbn2cp=klbn1+(invlb1/1.093);
if klbn2cp=. then klbn2cp=klbn2/1.093;
if klbn2=. then klbn2=klbn2cp*1.093;
klbn3cp=klbn2cp+(invlb2/1.376);
if klbn3cp=. then klbn3cp=klbn3/1.376;
if klbn3=. then klbn3=klbn3cp*1.376;
klbn4cp=klbn3cp+(invlb3/1.732);
if klbn4cp=. then klbn4cp=klbn4/1.732;
if klbn4=. then klbn4=klbn4cp*1.732;
klbn5cp=klbn4cp+(invlb4/2.803);
if klbn5cp=. then klbn5cp=klbn5/2.803;
if klbn5=. then klbn5=klbn5cp*2.803;
klbn6cp=klbn5cp+(invlb5/4.311);
if klbn6cp=. then klbn6cp=klbn6/4.311;
if klbn6=. then klbn6=klbn6cp*4.311;
klbn7cp=klbn6cp+(invlb6/5.545);
if klbn7=. then klbn7=klbn7cp*5.545;

invcp1=invqu1;
invcp2=invqu2/1.164;
invcp3=invqu3/1.668;
invcp4=invqu4/2.384;
invcp5=invqu5/3.149;
invcp6=invqu6/4.416;
invcp7=invqu7/5.577;

invlbcp1=invlb1;
invlbcp2=invlb2/1.093;
invlbcp3=invlb3/1.376;
invlbcp4=invlb4/1.732;
invlbcp5=invlb5/2.803;
invlbcp6=invlb6/4.311;
invlbcp7=invlb7/5.545;

data capn1; set cap;
wave=1;
cap=cap1;
capn=capn1;
capncp=capn1cp;
invcp=invcp1;
inv=invqu1;
invlb=invlb1;
invlbcp=invlbcp1;
klbncp=klbn1cp;
klb=klb1;
klbn=klbn1;
keep firm wave cap capn capncp invcp inv invlb klb invlbcp klbncp klbn;

data capn2; set cap;
wave=2;
cap=cap2;
capn=capn2;
capncp=capn2cp;
invcp=invcp2;
inv=invqu2;
invlb=invlb2;
invlbcp=invlbcp2;
klbncp=klbn2cp;
klb=klb2;
klbn=klbn2;
keep firm wave cap capn  capncp invcp inv invlb klb invlbcp klbncp klbn;
proc means; run;
data capn3; set cap;
wave=3;
cap=cap3;
capn=capn3;
capncp=capn3cp;
invcp=invcp3;
inv=invqu3;
invlb=invlb3;
invlbcp=invlbcp3;
klbncp=klbn3cp;
klb=klb3;
klbn=klbn3;
keep firm wave cap capn  capncp invcp inv invlb klb invlbcp klbncp klbn;
data capn4;  set cap;
wave=4;
cap=cap4;
capn=capn4;
capncp=capn4cp;
invcp=invcp4;
inv=invqu4;
invlb=invlb4;
invlbcp=invlbcp4;
klbncp=klbn4cp;
klb=klb4;
klbn=klbn4;
keep firm wave cap capn  capncp invcp inv invlb klb invlbcp klbncp klbn;
data capn5;   set cap;
wave=5;
cap=cap5;
capn=capn5;
capncp=capn5cp;
invcp=invcp5;
inv=invqu5;
invlb=invlb5;
invlbcp=invlbcp5;
klbncp=klbn5cp;
klb=klb5;
klbn=klbn5;
keep firm wave cap capn  capncp invcp klb inv invlb invlbcp klbncp klbn;
data capn6;   set cap;
wave=6;
cap=cap6;
capn=capn6;
capncp=capn6cp;
invcp=invcp6;
inv=invqu6;
invlb=invlb6;
invlbcp=invlbcp6;
klbncp=klbn6cp;
klb=klb6;
klbn=klbn6;
keep firm wave cap capn  capncp invcp klb inv invlb invlbcp klbncp klbn;
data capn7;   set cap;
wave=7;
cap=cap7;
capn=capn7;
capncp=capn7cp;
invcp=invcp7;
inv=invqu7;
invlb=invlb7;
invlbcp=invlbcp7;
klbncp=klbn7cp;
klb=klb7;
klbn=klbn7;
keep firm wave cap capn  capncp invcp inv invlb klb invlbcp klbncp klbn;

data cd.capn17;set capn1 capn2 capn3 capn4 capn5 capn6 capn7;

invcpr=invcp/capncp;
invnr=inv/capn;

invlbcpr=invlbcp/klbncp;
invlbr=invlb/klb;

if capncp le 0 then delete;
if klbncp  le 0 then klbncp=.;
if invcpr gt 1.5 then delete;

/*These are dummies for firms carrying out any investment*/
if invcp=0 then pinvd=0;if invcp gt 0 then pinvd=1;
if invlbcp=0 then lbinvd=0; if invlbcp gt 0 then lbinvd=1;

/*pinvrci is the plant investment rate conditional on any investment
lbinrci is the land and building investment rate condiitonal on any investment*/

if pinvd=1 then pinvrci=invcpr;
if lbinvd=1 then lbinrci=invlbcpr;


proc means;var firm wave cap capn capncp
 invcp inv invlb invcpr  klbncp invnr invlbcpr invlbr invlbcp pinvd lbinvd pinvrci lbinrci;
run;

proc means; var firm wave cap capn capncp invcp inv invcpr invnr
klb klbn klbncp invlbcp invlb invlbcpr invlbr;
run;

proc sort;by  wave;
proc means; var invcpr invnr invlbcpr invlbr;by wave;

run;
 run;
