
libname cd 'd:\sasprogs\rped5may99public\createdata';

libname j1 'd:\sasprogs\rped5may99public\wave1';
libname j2 'd:\sasprogs\rped5may99public\wave2';
libname j3 'd:\sasprogs\rped5may99public\wave3';
libname j4 'd:\sasprogs\rped5may99public\wave4';
libname j5 'd:\sasprogs\rped5may99public\wave5';


proc sort data=j2.rec201ad; by firm;
proc sort data=j1.rec01adj; by firm;
proc sort data=j1.rec07c; by firm;
proc sort data=j1.rec11c; by firm;
proc sort data=j1.rec12c; by firm;



data sizew31;  merge j1.rec01adj(in=a) j1.rec03c
 j1.rec07c(keep=firm r7q01 r7q02 r7q03 r7q05 r7q06 r7q04)
 j1.rec11c j1.rec12c j1.rec13c j1.rec60c;
by firm; if a;
options linesize=80;

/*Creates legal status of the firm*/
if r7q01=1 then solo=1;else solo=0;
if r7q01=2 then partner=1;else partner=0;
if r7q01=3 then lle=1;else lle=0;
if r7q01=4 and r7q02 ne 7 then privcorp=1;else privcorp=0;
if r7q01=4 and r7q02 eq 7 then statcorp=1;else statcorp=0;
if r7q01=5 then subfor=1;else subfor=0;

perfor=r7q03;
if r7q02=1 then perfor=0;
if r7q02=4 then perfor=0;
if r7q02=7 then perfor=0;


/*Creates firm size at establishment*/

if r3q02a=. and r3q02b=. then empl00=.;
empl00=r3q02a+r3q02b+1;
if firm=181 then empl00=empl00/10;
if empl00 le 5 then micro00=1; else micro00=0;
if empl00 ge 6 and empl00 le 29 then small00=1; else small00=0;
if empl00 ge 30 and empl00 le 99 then medium00=1; else medium00=0;
if empl00 ge 100 then large00=1; else large00=0;
if empl00=. then micro00=.;
if empl00=. then small00=.;
if empl00=. then medium00=.;
if empl00=. then large00=.;

if micro00=1 then sized00='zmicro00';
if small00=1 then sized00='small00';
if medium00=1 then sized00='medium00';
if large00=1 then sized00='large00';


/*CREATES SIZE DUMMIES*/
empl91=r11q01+1;
if firm=181 then empl91=(r11q01+1)/10;
if empl91 le 5 then micro91=1; else micro91=0;
if empl91 ge 6 and empl91 le 29 then small91=1; else small91=0;
if empl91 ge 30 and empl91 le 99 then medium91=1; else medium91=0;
if empl91 ge 100 then large91=1; else large91=0;
if empl91=. then micro91=.;
if empl91=. then small91=.;
if empl91=. then medium91=.;
if empl91=. then large91=.;

/*Ceates size dummies for tables*/
if micro91=1 then sized91='zmicro91';
if small91=1 then sized91='small91';
if medium91=1 then sized91='medium91';
if large91=1 then sized91='large91';

/*CREATES LOCATION DUMMIES*/
if loc=3 then accra=1; else accra=0;
if loc=6 then kum=1; else kum=0;
if loc=1 then tak=1; else tak=0;
if loc=2 then cape=1; else cape=0;

/*Creates location dummies for tables*/
if accra=1 then locdum='Accra';
if kum=1 then locdum='Kumasi';
if tak=1 then locdum='Takoradi';
if cape=1 then locdum='Cape';

/*CREATES SECTOR DUMMIES */
/*Three firms are treated searately as Small Scale Resource Intensive
Industries (SSRII). These are firms 80 and 81 which make charcoal
and firm 95 which is a gari processor*/
if sec ge 3110 and sec le 3139 then foods=1; else foods=0;
if sec=3117 then bakery=1; else bakery=0;
if sec=3117 and foods=1 then foods=0;
if sec=3220 then garment=1; else garment=0;
if sec ge 3210 and sec le 3219 then textile=1; else textile=0;
if sec gt 3310 and sec le 3319 then wood=1; else wood=0;
if sec=3320 then furn=1; else furn=0;
if sec ge 3810 and sec le 3819 then metal=1; else metal=0;
if sec ge 3820 and sec le 3849 then machines=1; else machines=0;
if firm=80 or firm =81 or firm=95 then SSRII=1; else SSRII=0;
if firm=80 or firm =81 or firm=95 then foods=0 ;
if firm=80 or firm =81 or firm=95 then wood=0;


/*Creates sector dummies for tables*/
if foods=1 then secdum='Foods';
if bakery=1 then secdum='Bakery';
if garment=1 then secdum='Garment';
if textile=1 then secdum='Textile';
if wood=1 then secdum='Wood';
if furn=1 then secdum='Furn';
if metal=1 then secdum='Metal';
if machines=1 then secdum='Machines';
if SSRII=1 then secdum='SSRII';

/*CREATES AGE DUMMIES*/
startyr=r3q01;
fmage91=1992-r3q01;
if fmage91 gt 20 then old91=1; else old91=0;
if fmage91 le 20 and fmage91 gt 10 then mature91=1; else mature91=0;
if fmage91 le 10 and fmage91 gt 5 then young91=1; else young91=0;
if fmage91 le 5 then new91=1; else new91=0;



/*Creates age dummies for tables*/
if old91=1 then aged91='Aged91';
if mature91=1 then aged91='Mature91';
if young91=1 then aged91='Young91';
if new91=1 then aged91='Znew91';

/*CREATES UNION VARIABLES*/
if r13q13=1 then union91=1; else union91=0;
if r13q13=. then union91=.;
undens91=r13q14;

/*CREATES LABOR REGULATION DUMMY*/
if r60q20a=1 then min=1; else min=0;

/*CREATES ACCOUNTS DUMMY*/
if r7q04=1 then accts=1; else accts=0;


/*CREATES OWNERSHIP VARIABLES*/
if r7q02=7 then state=1; else state=0;
if r7q02=4 or r7q02=5 or r7q02=6 then sstate=1; else sstate=0;
if r7q02=2 or r7q02=3 then sfor=1; else sfor=0;
if r7q02=1 then ghown=1; else ghown=0;
if r7q02=2 or r7q02=3 or r7q02=5 or r7q02=6 then anyfor=1;else anyfor=0;
if r7q02=4 or r7q02=7 then statgh=1;else statgh=0;

if r7q02=1 then privdom=1;else privdom=0;
if r7q02=2 then privfor=1;else privfor=0;
if r7q02=3 then privdf=1; else privdf=0;
if r7q02=4 then sprivdom=1; else sprivdom=0;
if r7q02=5 then sprivfor=1; else sprivfor=0;
if r7q02=6 then sprivdf=1;else sprivdf=0;
if r7q02=7 then state=1;else state=0;



keep firm  accra kum cape tak
                foods bakery textile garment wood furn metal
                machines  SSRII
                empl91  fmage91 startyr union91 undens91
                sized91 locdum secdum aged91
                state sstate sfor ghown anyfor statgh sized00 empl00
solo partner lle privcorp statcorp subfor
 privdom privfor privdf sprivdom sprivfor sprivdf perfor;
proc means; run;


data sizew32; merge j2.rec201ad(in=a) j2.rec214c j2.rec210c j2.rec216c
                 j1.rec07c(keep=firm r7q02) j2.rec208c
                 j1.rec03c(keep=firm r3q01)
                sizew31(keep=firm  solo partner lle privcorp statcorp subfor
privdom privfor privdf sprivdom sprivfor sprivdf state
  empl91  fmage91 startyr union91 undens91 sized91 aged91 sized00 empl00 perfor);
by firm; if a;



/*creates location variables*/
if zloc=1 then tak=1; else tak=0;
if zloc=3 then accra=1; else accra=0;
if zloc=6 then kum=1; else kum=0;
if zloc=2 then cape=1; else cape=0;

/*creates location dummies for tables*/
if tak=1 then locdum='Takoradi';
if accra=1 then locdum='Accra';
if kum=1 then locdum='Kumasi';
if cape=1 then locdum='Cape';

/*creates size variables*/
if z14q01p=. then z14q01p=0;
empl92a=z14q01f+z14q01p+1;
empl92b=z14q01f+1;
if firm=181 then empl92a=empl92a/10;
if firm=181 then empl92b=empl92b/10;
if empl92a lt 6 then micro92=1; else micro92=0;
if empl92a gt 5 and empl92a le 29 then small92=1; else small92=0;
if empl92a ge 30 and empl92a le 99 then medium92=1; else medium92=0;
if empl92a ge 100 then large92=1; else large92=0;
if empl92a=. then micro92=.;
if empl92a=. then small92=.;
if empl92a=. then medium92=.;
if empl92a=. then large92=.;

/*creates size dummies*/
if micro92=1 then sized92='Zmicro92';
if small92=1 then sized92='Small92';
if medium92=1 then sized92='Medium92';
if large92=1 then sized92='Large92';

/*creates sector dummies*/
if zsec ge 3110 and zsec le 3139 then foods=1; else foods=0;
if zsec=3117 then bakery=1; else bakery=0;
if zsec=3117 and foods=1 then foods=0;
if zsec=3220 then garment=1; else garment=0;
if zsec ge 3210 and zsec le 3219 then textile=1; else textile=0;
if zsec gt 3310 and zsec le 3319 then wood=1; else wood=0;
if zsec=3320 then furn=1; else furn=0;
if zsec ge 3810 and zsec le 3819 then metal=1; else metal=0;
if zsec ge 3820 and zsec le 3849 then machines=1; else machines=0;
if zsec ge 3511 and zsec le 3560 then chemical=1;else chemical=0;
if firm=80 or firm =81 or firm=95 then SSRII=1; else SSRII=0;
if firm=80 or firm =81 or firm=95 then foods=0 ;
if firm=80 or firm =81 or firm=95 then wood=0;

/*creates sector dummies for tables*/
if foods=1 then secdum='Foods';
if bakery=1 then secdum='Bakery';
if garment=1 then secdum='Garment';
if furn=1 then secdum='Furn';
if metal=1 then secdum='Metal';
if machines=1 then secdum='Machines';
if textile=1 then secdum='Textile';
if wood=1 then secdum='Wood';
if SSRII=1 then secdum='SSRII';

/*creates ownership dummies*/
if r7q02=7 then state=1; else state=0;
if r7q02=4 or r7q02=5 or r7q02=6 then sstate=1; else sstate=0;
if r7q02=2 or r7q02=3 then sfor=1; else sfor=0;
if r7q02=1 or r7q02=. then ghown=1; else ghown=0;
if r7q02=2 or r7q02=3 or r7q02=5 or r7q02=6 then anyfor=1;else anyfor=0;
if r7q02=4 or r7q02=7 then statgh=1;else statgh=0;

/*creates ownership and other dummies for firms added in wave 2*/

if firm=201 then do;
state=0;
sstate=0;
sfor=0;
ghown=1;
anyfor=0;
statgh=0;
perfor=0;
solo=1;partner=0;lle=0;privcorp=0;statcorp=0;subfor=0;
privdom=1;privfor=0;privdf=0;sprivdom=0;sprivfor=0;sprivdf=0;state=0;
end;
if firm=202 then do;
state=0;
sstate=0;
sfor=0;
ghown=1;
anyfor=0;
statgh=0;
solo=1;
perfor=0;
partner=0;lle=0;privcorp=0;statcorp=0;subfor=0;
privdom=1;privfor=0;privdf=0;sprivdom=0;sprivfor=0;sprivdf=0;state=0;
end;
if firm=203 then do;
state=0;
sstate=0;
sfor=0;
ghown=1;
anyfor=0;
statgh=0;
perfor=0;
solo=1;partner=0;lle=0;privcorp=0;statcorp=0;subfor=0;
privdom=1;privfor=0;privdf=0;sprivdom=0;sprivfor=0;sprivdf=0;state=0;
end;
if firm=204 then do;
state=0;
sstate=0;
sfor=0;
ghown=1;
anyfor=0;
statgh=0;
perfor=0;
solo=0;partner=1;lle=0;privcorp=0;statcorp=0;subfor=0;
privdom=1;privfor=0;privdf=0;sprivdom=0;sprivfor=0;sprivdf=0;state=0;
end;
if firm=205 then do;
state=0;
sstate=0;
sfor=1;
ghown=0;
anyfor=1;
statgh=0;
perfor=40;
solo=0;partner=0;lle=1;privcorp=0;statcorp=0;subfor=0;
privdom=0;privfor=0;privdf=1;sprivdom=0;sprivfor=0;sprivdf=0;state=0;
end;
if firm=206 then do;
state=0;
sstate=0;
sfor=0;
ghown=1;
anyfor=0;
statgh=0;
perfor=0;
solo=0;partner=0;lle=0;privcorp=1;statcorp=0;subfor=0;
privdom=1;privfor=0;privdf=0;sprivdom=0;sprivfor=0;sprivdf=0;state=0;
end;
if firm=207 then do;
state=0;
sstate=0;
sfor=0;
ghown=1;
anyfor=0;
statgh=0;
perfor=0;
solo=1;partner=0;lle=0;privcorp=0;statcorp=0;subfor=0;
privdom=1;privfor=0;privdf=0;sprivdom=0;sprivfor=0;sprivdf=0;state=0;
end;
if firm=208 then do;
state=0;
sstate=0;
sfor=0;
ghown=1;
anyfor=0;
statgh=0;
perfor=0;
solo=1;partner=0;lle=0;privcorp=0;statcorp=0;subfor=0;
privdom=1;privfor=0;privdf=0;sprivdom=0;sprivfor=0;sprivdf=0;state=0;
end;
if firm=209 then do;
state=0;
sstate=0;
sfor=0;
ghown=1;
anyfor=0;
statgh=0;
perfor=0;
solo=1;partner=0;lle=0;privcorp=0;statcorp=0;subfor=0;
privdom=1;privfor=0;privdf=0;sprivdom=0;sprivfor=0;sprivdf=0;state=0;
end;
if firm=210 then do;
state=0;
sstate=0;
sfor=0;
ghown=1;
anyfor=0;
statgh=0;
perfor=0;
solo=1;partner=0;lle=0;privcorp=0;statcorp=0;subfor=0;
privdom=1;privfor=0;privdf=0;sprivdom=0;sprivfor=0;sprivdf=0;state=0;
end;
if firm=211 then do;
state=0;
sstate=0;
sfor=0;
ghown=1;
anyfor=0;
statgh=0;
perfor=0;
solo=1;partner=0;lle=0;privcorp=0;statcorp=0;subfor=0;
privdom=1;privfor=0;privdf=0;sprivdom=0;sprivfor=0;sprivdf=0;state=0;
end;
if firm=212 then do;
state=0;
sstate=0;
sfor=0;
ghown=1;
anyfor=0;
statgh=0;
perfor=0;
solo=1;partner=0;lle=0;privcorp=0;statcorp=0;subfor=0;
privdom=1;privfor=0;privdf=0;sprivdom=0;sprivfor=0;sprivdf=0;state=0;
end;

/*creates union variables*/
if z16q13=1 then union92=1; else union92=0;
if z16q13=. then union92=.;
undens92=z16q14;


/*Creates age variables for firms and inputs replacements*/
firmdate=r3q01;
if firm=201 then firmdate=1993;
if firm=202 then firmdate=1983;
if firm=203 then firmdate=1993;
if firm=204 then firmdate=1992;
if firm=205 then firmdate=1980;
if firm=206 then firmdate=1993;
if firm=207 then firmdate=1978;
if firm=208 then firmdate=1992;
if firm=209 then firmdate=1993;
if firm=210 then firmdate=1992;
if firm=211 then firmdate=1989;
if firm=212 then firmdate=1982;
startyr=firmdate;
fmage92=1992-firmdate+1;
if fmage92 gt 20 then aged92='Aged92';
if fmage92 gt 10 and fmage92 le 20 then aged92='Mature92';
if fmage92 gt 5 and fmage92 le 10 then aged92='Young92';
if fmage92 le 5 then aged92='zNew92';




keep firm   accra kum cape tak
                foods bakery textile garment wood furn metal chemical
                machines SSRII empl92a empl92b  fmage92 startyr sized92
                secdum locdum
        state sstate sfor ghown anyfor statgh
solo partner lle privcorp statcorp subfor
 privdom privfor privdf sprivdom sprivfor sprivdf state
 empl91  fmage91 startyr union91 union92 undens91 undens92 sized91 aged91 empl00 sized00 perfor;

proc means; run;


data sizew33; merge /*sizew31*/ sizew32 j3.rec301ad(in=a) j3.rec321c j3.rec323c;
by firm;if a;

fmage93=fmage92+1;

if firm=213 then do;
accra=1;
kum=0;cape=0;tak=0;
foods=1;bakery=0;textile=0;garment=0;
wood=0;furn=0;metal=0;machines=0;SSRII=0; chemical=0;
secdum='Foods';
locdum='Accra';
firmdate=1968;
startyr=firmdate;
fmage93=1993-firmdate+1;
end;
if firm=214 then do;
accra=0;
kum=1;cape=0;tak=0;
furn=1;
foods=0;bakery=0;textile=0;garment=0;
wood=0;furn=1;metal=0;machines=0;SSRII=0; chemical=0;
secdum='Furn';
locdum='Kumasi';
end;
if firm=215 then do;
accra=1;
kum=0;cape=0;tak=0;
furn=1;
foods=0;bakery=0;textile=0;garment=0;
wood=0;furn=1;metal=0;machines=0;SSRII=0;chemical=0;
secdum='Furn';
locdum='Accra';
end;



/*creates size variables*/
empl93=l21q01+1;
if firm=181 then empl93=empl93/10;
if empl93 lt 6 then micro93=1; else micro93=0;
if empl93 gt 5 and empl93 le 29 then small93=1; else small93=0;
if empl93 ge 30 and empl93 le 99 then medium93=1; else medium93=0;
if empl93 ge 100 then large93=1; else large93=0;
if empl93=. then micro93=.;
if empl93=. then small93=.;
if empl93=. then medium93=.;
if empl93=. then large93=.;

/*creates size dummies*/
if micro93=1 then sized93='Zmicro93';
if small93=1 then sized93='Small93';
if medium93=1 then sized93='Medium93';
if large93=1 then sized93='Large93';

/*creates ownership and other dummies for firms added in wave 3*/
if firm=213 then do;
state=0;
sstate=0;
sfor=1;
ghown=0;
anyfor=1;
statgh=0;
perfor=100;
solo=0;partner=0;lle=0;privcorp=0;statcorp=0;subfor=1;
privdom=0;privfor=1;privdf=0;sprivdom=0;sprivfor=0;sprivdf=0;state=0;
end;
if firm=214 then do;
state=0;
sstate=0;
sfor=0;
ghown=1;
anyfor=0;
statgh=0;
perfor=0;
solo=1;partner=0;lle=0;privcorp=0;statcorp=0;subfor=0;
privdom=1;privfor=0;privdf=0;sprivdom=0;sprivfor=0;sprivdf=0;state=0;
end;
if firm=215 then do;
state=0;
sstate=0;
sfor=0;
ghown=1;
anyfor=0;
statgh=0;
perfor=0;
solo=1;partner=0;lle=0;privcorp=0;statcorp=0;subfor=0;
privdom=1;privfor=0;privdf=0;sprivdom=0;sprivfor=0;sprivdf=0;state=0;
end;

/*creates union variables*/
if l23q09=1 then union93=1;
if l23q09=2 then union93=0;
undens93=l23q10;


/*Creates trade sector dummies*/
if foods=1 or bakery=1 or furn=1 or metal=1 or machines=1 or SSRII=1
then tradum='Nontraded';
if garment=1 or textile =1 then tradum='Import';
if wood=1 then tradum='Export';

/*Creates an exhaustive categorisation by ownership*/
if ghown=1 then owndum='Ghanaian';
if sfor=1 then owndum='Foreign';
if sstate=1 or state=1 then owndum='State';

keep firm  accra kum cape tak
                foods bakery textile garment wood furn metal
                machines SSRII  chemical
                empl91 fmage91 union91 startyr  undens91   undens92
                empl92a empl92b union92 fmage92  fmage93 empl93 union93  undens93
                sized91 sized92 sized93 sized00 empl00 locdum secdum
        state sstate sfor ghown anyfor statgh tradum owndum aged91
solo partner lle privcorp statcorp subfor
 privdom privfor privdf sprivdom sprivfor sprivdf state perfor;
proc means; run;



proc sort;by firm;



data temp1;set j4.gmes1;
firm=s1eno;
proc sort;by firm;

data temp2;set j4.gmes2;
firm=s2eno;
startyr=s2aq19;
fmage95=1996-startyr;
proc sort;by firm;


data temp6; set j4.gmes6;
firm=s6eno;
proc sort;by firm;

data sizew34; merge temp1 temp2 temp6;by firm;

if firm gt 215;

/*Creates legal status of the firm*/
if s2aq1=1 then solo=1;else solo=0;
if s2aq1=2 then partner=1;else partner=0;
if s2aq1=3 then lle=1;else lle=0;
if s2aq1=4 and s2aq2 ne 7 then privcorp=1;else privcorp=0;
if s2aq1=4 and s2aq2 eq 7 then statcorp=1;else statcorp=0;
if s2aq1=5 then subfor=1;else subfor=0;

/*CREATES OWNERSHIP VARIABLES*/
if s2aq2=7 then state=1; else state=0;
if s2aq2=4 or s2aq2=5 or s2aq2=6 then sstate=1; else sstate=0;
if s2aq2=2 or s2aq2=3 then sfor=1; else sfor=0;
if s2aq2=1 then ghown=1; else ghown=0;
if s2aq2=2 or s2aq2=3 or s2aq2=5 or s2aq2=6 then anyfor=1;else anyfor=0;
if s2aq2=4 or s2aq2=7 then statgh=1;else statgh=0;

if s2aq2=1 then privdom=1;else privdom=0;
if s2aq2=2 then privfor=1;else privfor=0;
if s2aq2=3 then privdf=1; else privdf=0;
if s2aq2=4 then sprivdom=1; else sprivdom=0;
if s2aq2=5 then sprivfor=1; else sprivfor=0;
if s2aq2=6 then sprivdf=1;else sprivdf=0;
if s2aq2=7 then state=1;else state=0;

perfor=s2aq3;
if s2aq2=1 then perfor=0;
if s2aq2=4 then perfor=0;
if s2aq2=7 then perfor=0;



/*Creates firm size at establishment*/

if s2aq33a=. and s2aq33b=. then empl00=.;
empl00=s2aq33a+s2aq33b+1;
if firm=181 then empl00=empl00/10;
if empl00 le 5 then micro00=1; else micro00=0;
if empl00 ge 6 and empl00 le 29 then small00=1; else small00=0;
if empl00 ge 30 and empl00 le 99 then medium00=1; else medium00=0;
if empl00 ge 100 then large00=1; else large00=0;
if empl00=. then micro00=.;
if empl00=. then small00=.;
if empl00=. then medium00=.;
if empl00=. then large00=.;

if micro00=1 then sized00='zmicro00';
if small00=1 then sized00='small00';
if medium00=1 then sized00='medium00';
if large00=1 then sized00='large00';

/*CREATES LOCATION DUMMIES*/
if s1q2=1 then accra=1; else accra=0;
if s1q2=2 then kum=1; else kum=0;
if s1q2=4 then tak=1; else tak=0;
if s1q2=3 then cape=1; else cape=0;

/*Creates location dummies for tables*/
if accra=1 then locdum='Accra';
if kum=1 then locdum='Kumasi';
if tak=1 then locdum='Takoradi';
if cape=1 then locdum='Cape';

/*CREATES SECTOR DUMMIES */
/*Three firms are treated searately as Small Scale Resource Intensive
Industries (SSRII). These are firms 80 and 81 which make charcoal
and firm 95 which is a gari processor*/
sec=s1q1;
if sec ge 3110 and sec le 3139 then foods=1; else foods=0;
if sec=3117 then bakery=1; else bakery=0;
if sec=3117 and foods=1 then foods=0;
if sec=3220 then garment=1; else garment=0;
if sec ge 3210 and sec le 3219 then textile=1; else textile=0;
if sec gt 3310 and sec le 3319 then wood=1; else wood=0;
if sec=3320 then furn=1; else furn=0;
if sec ge 3810 and sec le 3819 then metal=1; else metal=0;
if sec ge 3820 and sec le 3849 then machines=1; else machines=0;
if sec ge 3511 and sec le 3560 then chemical=1;else chemical=0;
if firm=80 or firm =81 or firm=95 then SSRII=1; else SSRII=0;
if firm=80 or firm =81 or firm=95 then foods=0 ;
if firm=80 or firm =81 or firm=95 then wood=0;


/*Creates sector dummies for tables*/
if foods=1 then secdum='Foods';
if bakery=1 then secdum='Bakery';
if garment=1 then secdum='Garment';
if textile=1 then secdum='Textile';
if wood=1 then secdum='Wood';
if furn=1 then secdum='Furn';
if metal=1 then secdum='Metal';
if machines=1 then secdum='Machines';
if SSRII=1 then secdum='SSRII';



keep firm  accra kum cape tak
                foods bakery textile garment wood furn metal
                machines SSRII  chemical   empl00
                locdum secdum
        state sstate sfor ghown anyfor statgh tradum owndum
solo partner lle privcorp statcorp subfor  fmage95
 privdom privfor privdf sprivdom sprivfor sprivdf state perfor;




data sizew35; merge temp1 temp2 temp6;by firm;

/*CREATES UNION VARIABLES*/
if s6q22 gt 0 then union95=1; else union95=0;
if s6q22=. then union95=.;

/*creates size dummies for 1994 and 1995*/
empl95=s6q1b+1;
empl94=s6q1a+1;

if empl94 lt 6 then micro94=1; else micro94=0;
if empl94 gt 5 and empl94 le 29 then small94=1; else small94=0;
if empl94 ge 30 and empl94 le 99 then medium94=1; else medium94=0;
if empl94 ge 100 then large94=1; else large94=0;
if empl94=. then micro94=.;
if empl94=. then small94=.;
if empl94=. then medium94=.;
if empl94=. then large94=.;

/*creates size dummies*/
if micro94=1 then sized94='Zmicro94';
if small94=1 then sized94='Small94';
if medium94=1 then sized94='Medium94';
if large94=1 then sized94='Large94';

if empl95 lt 6 then micro95=1; else micro95=0;
if empl95 gt 5 and empl95 le 29 then small95=1; else small95=0;
if empl95 ge 30 and empl95 le 99 then medium95=1; else medium95=0;
if empl95 ge 100 then large95=1; else large95=0;
if empl95=. then micro95=.;
if empl95=. then small95=.;
if empl95=. then medium95=.;
if empl95=. then large95=.;

/*creates size dummies*/
if micro95=1 then sized95='Zmicro95';
if small95=1 then sized95='Small95';
if medium95=1 then sized95='Medium95';
if large95=1 then sized95='Large95';



keep firm   empl94 empl95  union95 sized94 sized95;
proc sort;by firm;


data sizew4; merge sizew33 sizew34 sizew35;by firm;
if firm=. then delete;
fmage94=fmage93+1;
if fmage94=. then fmage94=fmage95-1;
if fmage95=. then fmage95=fmage94+1;


keep firm  accra kum cape tak
                foods bakery textile garment wood furn metal
                machines SSRII  chemical   empl00
                locdum secdum
        state sstate sfor ghown anyfor statgh tradum owndum
solo partner lle privcorp statcorp subfor fmage91 fmage92 fmage93 fmage94  fmage95
privdom privfor privdf sprivdom sprivfor sprivdf state perfor
empl94 empl95  union91 union92 union93 union95  undens91   undens92  undens93 sized94 sized95;

proc sort;by firm;
proc means;
run;

data tempa; set j5.gm5f1adj;
firm=f1eno;
proc sort; by firm;
proc means; run;

data tempb; set j5.gm5f2;
firm=f2eno;
proc sort; by firm;

data tempc; set j5.gm5f3;
firm=f3eno;
proc sort; by firm;

data tempd; set j5.gm5f5;
firm=f5eno;
proc sort; by firm;


data tempe;set j5.gm5f15;
firm=f15eno;
proc sort;by firm;

data tempf; set j5.gm5f16;
firm=f16eno;
proc sort; by firm;
proc means; run;



data cd.common; merge tempa tempb tempc tempd tempe tempf sizew4; by firm;

/*Firm specfic answers obtained from questionnaries*/
if firm=257 then f16q1=3;
if firm=257 then f16q2=1;
if firm=260 then f16q1=3;
if firm=260 then f16q2=3;
if firm=261 then f16q1=3;
if firm=261 then f16q2=3;
if firm=270 then f16q1=3;
if firm=270 then f16q2=1;
if firm=271 then f16q1=3;
if firm=271 then f16q2=6;
if firm=271 then f16q3=41;
if firm=272 then f16q1=3;
if firm=272 then f16q2=2;
if firm=272 then f16q3=50;


fmage96=fmage95+1;
fmage97=fmage96+1;

if f5q18 gt 0 then union97=1;else union97=0;
if f5q18=. then union97=.;

if firm=123 then do;
solo=0;
lle=1;
end;
fmage97n=1998-f15mq12;

if firm ge 257 then do;

fmage97=1998-f15mq12;
fmage96=fmage97-1;
/*Creates legal status of the firm*/
if f16q1=1 then solo=1;else solo=0;
if f16q1=2 then partner=1;else partner=0;
if f16q1=3 then lle=1;else lle=0;
if f16q1=4 and f16q2 ne 7 then privcorp=1;else privcorp=0;
if f16q1=4 and f16q2 eq 7 then statcorp=1;else statcorp=0;
if f16q1=5 then subfor=1;else subfor=0;


/*CREATES OWNERSHIP VARIABLES*/
if f16q2=7 then state=1; else state=0;
if f16q2=4 or f16q2=5 or f16q2=6 then sstate=1; else sstate=0;
if f16q2=2 or f16q2=3 then sfor=1; else sfor=0;
if f16q2=1 then ghown=1; else ghown=0;
if f16q2=2 or f16q2=3 or f16q2=5 or f16q2=6 then anyfor=1;else anyfor=0;
if f16q2=4 or f16q2=7 then statgh=1;else statgh=0;

if f16q2=1 then privdom=1;else privdom=0;
if f16q2=2 then privfor=1;else privfor=0;
if f16q2=3 then privdf=1; else privdf=0;
if f16q2=4 then sprivdom=1; else sprivdom=0;
if f16q2=5 then sprivfor=1; else sprivfor=0;
if f16q2=6 then sprivdf=1;else sprivdf=0;
if f16q2=7 then state=1;else state=0;


perfor=f16q3;
if f16q2=1 then perfor=0;
if f16q2=4 then perfor=0;
if f16q2=7 then perfor=0;

/*CREATES LOCATION DUMMIES*/
if f1q2=1 then accra=1; else accra=0;
if f1q2=2 then kum=1; else kum=0;
if f1q2=4 then tak=1; else tak=0;
if f1q2=3 then cape=1; else cape=0;

if f1q1 ge 3110 and f1q1 le 3139 then foods=1; else foods=0;
if f1q1=3117 then bakery=1; else bakery=0;
if f1q1=3117 and foods=1 then foods=0;
if f1q1=3220 then garment=1; else garment=0;
if f1q1 ge 3210 and f1q1 le 3219 then textile=1; else textile=0;
if f1q1 gt 3310 and f1q1 le 3319 then wood=1; else wood=0;
if f1q1=3320 then furn=1; else furn=0;
if f1q1 ge 3810 and f1q1 le 3819 then metal=1; else metal=0;
if f1q1 ge 3820 and f1q1 le 3849 then machines=1; else machines=0;
if f1q1 ge 3511 and f1q1 le 3560 then chemical=1;else chemical=0;
if firm=80 or firm =81 or firm=95 then SSRII=1; else SSRII=0;
if firm=80 or firm =81 or firm=95 then foods=0 ;
if firm=80 or firm =81 or firm=95 then wood=0;
end;


/*Creates firm size at establishment*/

if f15mq13=. and f15mq14=. then empl00n=.;
empl00n=f15mq13+f15mq14+1;
if firm=181 then empl00=empl00/10;

if union97=1 then union=1;
if union95=1 then union=1;
if union93=1 then union=1;
if union92=1 then union=1;
if union91=1 then union=1;

if union97=0 then union=0;
if union95=0 then union=0;
if union93=0 then union=0;
if union92=0 then union=0;
if union91=0 then union=0;

if fmage97=. then do;
fmage97=fmage97n;
fmage96=fmage97-1;
fmage95=fmage96-1;
fmage94=fmage95-1;
end;

if fmage96=. then fmage96=fmage97-1;
if fmage95=. then fmage95=fmage96-1;
if fmage94=. then fmage94=fmage95-1;
if fmage93=. then fmage93=fmage94-1;
if fmage92=. then fmage92=fmage93-1;
if fmage91=. then fmage91=fmage92-1;

if fmage91 lt 0 then fmage91=.;
if fmage92 lt 0 then fmage92=.;
if fmage93 lt 0 then fmage93=.;
if fmage94 lt 0 then fmage94=.;
if fmage95 lt 0 then fmage95=.;
if fmage96 lt 0 then fmage96=.;
if fmage97 lt 0 then fmage97=.;

if secdum=. then do;
if foods=1 then secdum='Foods';
if bakery=1 then secdum='Bakery';
if garment=1 then secdum='Garment';
if textile=1 then secdum='Textile';
if wood=1 then secdum='Wood';
if furn=1 then secdum='Furn';
if metal=1 then secdum='Metal';
if machines=1 then secdum='Machines';
if SSRII=1 then secdum='SSRII';
if chemical=1 then secdum='Chemical';
end;
if locdum=. then do;
if accra=1 then locdum='Accra';
if kum=1 then locdum='Kumasi';
if tak=1 then locdum='Takoradi';
if cape=1 then locdum='Cape';
end;

keep  firm  accra kum cape tak
                foods bakery textile garment wood furn metal
                machines SSRII chemical   empl00 empl00n
                locdum secdum
        state sstate sfor ghown anyfor statgh tradum owndum
solo partner lle privcorp statcorp subfor
 fmage91 fmage92 fmage93 fmage94  fmage95 fmage96 fmage97
 privdom privfor privdf sprivdom sprivfor sprivdf state perfor
union91 union92 union93 union95 union97 union  undens91   undens92  undens93;



proc print; var  firm  state sstate sfor ghown anyfor statgh perfor;
proc means; run;
run;
