
libname cd 'd:\sasprogs\rped5may99public\createdata';

libname j1 'd:\sasprogs\rped5may99public\wave1';
libname j2 'd:\sasprogs\rped5may99public\wave2';
libname j3 'd:\sasprogs\rped5may99public\wave3';
libname j4 'd:\sasprogs\rped5may99public\wave4';
libname j5 'd:\sasprogs\rped5may99public\wave5';


proc sort data=cd.common;by firm;
proc sort data=cd.inv;by firm;


/*In the first wave of the data there were serious problems with the
investment data. A separate file has been created which gives data for investment in wave 1.
inv91qu is the best available measure of investment undertaken in the firm in 1991
from the questionnaire. The file also contaims recall data with figures given in both cedis
and US dollars, ie inv84US is the investment in 1984 in US dollars*/

data invck;set cd.inv;
proc means; run;

data scale1; merge j1.rec01adj(in=a) j1.rec03c j1.rec04c
j1.rec07c j1.rec08c j1.rec10c
j1.rec11c cd.inv j1.rec52 cd.common;
by firm; if a;


sales7=r7q06;
if r7q05=1 then salesa=sales7;
if r7q05=2 then salesa=sales7*2;
if r7q05=3 then salesa=sales7*12;
if r7q05=4 then salesa=sales7*26;
if r7q05=5 then salesa=sales7*52;
if r7q05=6 then salesa=.;
output=r7q07;
if r7q05=1 then outputa=output;
if r7q05=2 then outputa=output*2;
if r7q05=3 then outputa=output*12;
if r7q05=4 then outputa=output*26;
if r7q05=5 then outputa=output*52;
if r7q05=6 then outputa=.;
material=r7q09;
if r7q05=1 then mata=material;
if r7q05=2 then mata=material*2;
if r7q05=3 then mata=material*12;
if r7q05=4 then mata=material*26;
if r7q05=5 then mata=material*52;
if r7q05=6 then mata=.;
wages7=r7q12;
if r7q05=1 then wagesa=wages7;
if r7q05=2 then wagesa=wages7*2;
if r7q05=3 then wagesa=wages7*12;
if r7q05=4 then wagesa=wages7*26;
if r7q05=5 then wagesa=wages7*52;
if r7q05=6 then wagesa=.;
misc=(r8q15/100)*r7q06;
if r7q05=1 then misca=misc;
if r7q05=2 then misca=misc*2;
if r7q05=3 then misca=misc*12;
if r7q05=4 then misca=misc*26;
if r7q05=5 then misca=misc*52;
if r7q05=6 then misca=.;

if r10q26a ge 100 then capact91=r10q26a;
if r10q26a lt 100 then capact91=(100-r10q26a)*100/r10q26a;
if r10q26a le 10 then capact91=.;


if r10q27=. then exports=0;
if r10q27=1 then exports=1;
if r10q27=2 then exports=0;
if exports = 1 then pexport=r10q28; else pexport =0;
if exports=. then pexport=.;

/* Firm age and growth rates*/
startyr=r3q01;
firmage=1992-r3q01;
if r3q02a=. and r3q02b=. then empl00=.;
empl00=r3q02a+r3q02b+1;
emp=r11q01+1;
/*Firm 181 is a 10 unit firm*/
if firm=181 then emp=emp/10;
if firm=181 then empl00=empl00/10;

emp83=r3q03a+r3q03b;
emp88=r3q04a+r3q04b;
sales83=r3q03c;
sales88=r3q04c;

lempl00=log(empl00);
lemp=log(emp);
empc=emp;


/*r7q10 is did you import, r7q11 is percentage imported*/
impinp=r7q10;
pimpinp=r7q11;
if pimpinp=. then pimpinp=0;

/*Amount spent on promotion and advertising*/
advert=r8q17;

intcosta=mata+misca;
if outputa=. then outputa=salesa;
profita=outputa-intcosta -wagesa;
vaddeda=outputa-intcosta;
profitsh=profita*100/vaddeda;
wagesh=wagesa*100/vaddeda;
intsh91=intcosta*100/outputa;
output91=outputa;
sales91=salesa;
int91=intcosta;
mata91=mata;
misc91=misca;
matash91=mata91*100/output91;
miscsh91=misc91*100/output91;
wages91=wagesa;
wages=wagesa;


if firm=181 then vaddeda=vaddeda/10;
if firm=181 then vad91=vaddeda/10;
if firm=181 then output91=output91/10;
if firm=181 then sales91=sales91/10;
if firm=181 then misc91=misc91/10;
if firm=181 then mata91=mata91/10;
if firm=181 then wages=wagesa/10;
if firm=181 then int91=int91/10;
if firm=181 then intsh91=int91*100/output91;
if firm=181 then profita=profita/10;


inv9092=(inv90+inv91+inv92)/3;
inv902us=(inv90us+inv91us+inv92us)/3;
invemp=inv9092/emp;
premp91=profita/emp;


/*definition 1 of capital Replacement Value*/
cap1=r8q13a;
cap1c=r8q13b61;
if r8q13a=. then cap1=cap1c;
clr191=cap1/emp;
capret1=profita*100/cap1;
procap1=profita/cap1;
lclr191=log(clr191);
lclr1912=lclr191*lclr191;
vadcap1=vaddeda/cap1;
capvad1=cap1/vaddeda;
ic9092=inv9092/cap1;
ie9092=inv9092/emp;
ic9092us=inv902us/cap1;
ie9092us=inv902us/emp;

ic91=inv91/cap1;
lic91=log(ic91);
ie91=inv91/emp;
lie91=log(ie91);
ic91us=inv91us/cap1;
ie91us=inv91us/emp;
iv91=inv91/vaddeda;
liv91=log(iv91);


/*Definition 2 of capital*/
cap2=invus;
if cap2=0 then cap2=10;
clr2=cap2/emp;
capret2=profita*100/cap2;
lclr2=log(clr2);
lclr22=lclr2*lclr2;
vadcap2=vaddeda/cap2;

/*Definition 3 of capital*/
cap3=r8q13b62;
/*if cap3=. then cap3=0.1*cap1; */
clr3=cap3/emp;
capret3=profita*100/cap3;
vadcap3=vaddeda/cap3;
invrate3=inv9092/cap3;
capsale=cap3;

land=r8q14;
if land=. then land=0;
profsh91=profita*100/vaddeda;
wagesh91=wagesa*100/vaddeda;
vademp91=vaddeda/emp;
lvadem91=log(vademp91);

/* profr=ylw/capital; */
if invus=0 then invnew=0; else invnew=1;

/* Questions to identify firm sector*/

if r10q29=2 then nontrade=1; else nontrade=0;
if r10q29=3 then forcom=1; else forcom=0;
if r10q29=4 then impcom=1; else impcom=0;

/*Creation of Traded, Nontraded and Traded Goods
Importable is Garments and Textile, Exportable is Wood
Nontraded is Food, Furniture and Metal*/

if garment=1 or textile= 1 then tradum='Import';
if wood=1 then tradum='export';
if foods=1 or furn=1 or metal=1 or machines=1 or bakery=1
then tradum='nontrade';



/*Education variable for entrepreneurs*/
if r4q081=1  then educent=0;
if r4q081=2   then educent=6;
if r4q081=3  then  educent=10;
if r4q081=4  then secent=1; else secent=0;
if secent=1 then educent=14;
if r4q081=8  then univent=1; else univent=0;
if univent=1 then educent=19;
if r4q082=5 then vocent=1; else vocent=0;
if vocent=1 then educent=11;
if vocent=1 and r4q081=4 then educent=15;
if r4q082=6 then polyent=1; else polyent=0;
if polyent=1 then educent=12;
if polyent=1 and r4q081=4 then educent=16;
if r4q082=7 then profent=1; else profent=0;
if profent=1 then educent=13;
if profent=1 and r4q081=4 then educent=17;
if r4q081=. and r4q082=. then educent=.;
if educent=. then secent=.;
if educent=. then univent=.;
if educent=. then polyent=.;
if educent=. then vocent=.;
if educent=. then profent=.;


/*General Manager's education*/
if r52q07a=1 then educgm=0;
if r52q07a=2 then educgm=6;
if r52q07a=3 then educgm=14;
if r52q07a=4 or r52q07a=5 or r52q07a=6 or r52q07a=7
 then educgm=19;

educman=educent;
if educent=. then educman=educgm;

profc=profita;
prof91=profita;
cap1c=cap1;
cap191=cap1;
vadc=vaddeda;
vad91=vaddeda;
lvad91=log(vad91);
emp91=empc;
lempc=log(empc);
lemp91=log(emp91);
wages91=wagesa;
wrate91=wagesa/empc;
lwrate91=log(wrate91);
prate91=profc/cap1c;
cost91=emp91*wrate91+cap191*prate91;
lcost91=log(cost91);
labsh91=(emp91*wrate91)/cost91;
capsh91=(cap191*prate91)/cost91;
lprate91=log(prate91);
wr=wrate91/prate91;
empcap=empc/cap1c;
lwr91=log(wr);
cap91=cap1c;
lcap91=log(cap1c);
llcap91=log(empcap);
llc91=llcap91;
statet=state+sstate;


/*Deleteion of charcoal burners */
if firm=80 then delete;
if firm=81 then delete;


if lwr91 ne . then firm1=1;


options linesize=80;
year=1991;
lemp=lemp91;
lvad=lvad91;
lwrate=lwrate91;
lcap=lcap91;
lprate=lprate91;
llcap=llcap91;
lcapemp=lcap-lemp;
lwr=lwr91;
lsize=lemp91;
emp=empc;
cap=cap1c;
labsh=labsh91;
capsh=capsh91;
premp91=premp91/1000000;
lvademp=lvad-lemp;
prate=prate91;
lpremp=log(premp91);
premp=premp91;
vad=vad91;
output=output91;
outemp=output91/emp91;
intsh=intsh91;
matash=matash91;
miscsh=miscsh91;
int=int91;
mata=mata91;
misc=misc91;
capact=capact91;


wave=1;

ic=ic91;
lic=lic91;
ie=ie91;
lie=lie91;
icus=ic91us;
ieus=ie91us;
iv=iv91;
liv=liv91;
inv=inv91;
invqu=inv91qu;

inv9092e=inv9092/emp;
inv9092c=inv9092/cap;
if inv=0 then invdum=0;else invdum=1;
if inv=. then invdum=.;
if inv9092=0 then invd9092=0;else invd9092=1;
export91=exports;
pexp91=pexport;
pexp=pexp91;
fmage=fmage91;

/*Deletions made necessary by capital stock problems*/
if firm =125 then lcap91=.;
if firm =125 then lcap=.;
if firm =125 then cap=.;
if firm=86 then lcap91=.;
if firm=86 then lcap=.;
if firm=86 then cap=.;
if firm=154 then lcap91=.;
if firm=154 then lcap=.;
if firm=154 then cap=.;
if firm=197 then lcap91=.;
if firm=197 then cap=.;
if firm=197 then cap=.;



keep firm wave  lemp lvad lwrate lcap lprate llcap  emp83 emp88 sales83 sales88
 lwr year lsize emp cap labsh capsh
 premp lpremp prate
 lvademp lcapemp ic lic ie lie icus ieus iv liv inv inv9092e inv9092c invdum
invd9092 vad output outemp intsh
capsale matash miscsh exports pexp mata int misc wages pimpinp  capact
invqu advert  educent educgm educman fmage;

proc sort;by firm wave;

proc means; run;


data scale2; merge j2.rec201ad(in=a) j2.rec208c j2.rec210c
j2.rec211c j2.rec214c j2.rec249 cd.common;
by firm; if a;
sales7=z10q08;
if z8q02=1 then sales92=sales7;
if z8q02=2 then sales92=sales7*2;
if z8q02=3 then sales92=sales7*12;
if z8q02=4 then sales92=sales7*26;
if z8q02=5 then sales92=sales7*52;
if z8q02=6 then sales92=.;
if z8q02=. then sales92=.;
output=z10q11;
if z8q02=1 then output92=output;
if z8q02=2 then output92=output*2;
if z8q02=3 then output92=output*12;
if z8q02=4 then output92=output*26;
if z8q02=5 then output92=output*52;
if z8q02=6 then output92=.;
if z8q02=. then output92=.;
material=z10q12;
if z8q02=1 then mata92=material;
if z8q02=2 then mata92=material*2;
if z8q02=3 then mata92=material*12;
if z8q02=4 then mata92=material*26;
if z8q02=5 then mata92=material*52;
if z8q02=6 then mata92=.;
if z8q02=. then mata=.;
wages7=z10q15;
if z8q02=1 then wages92=wages7;
if z8q02=2 then wages92=wages7*2;
if z8q02=3 then wages92=wages7*12;
if z8q02=4 then wages92=wages7*26;
if z8q02=5 then wages92=wages7*52;
if z8q02=6 then wages92=.;
if z8q02=. then wages92=.;
if z11q20a = . then rent = 0;else rent = z11q20a;
if z11q20b = . then elect = 0;else elect = z11q20b;
if z11q20c = . then water = 0;else water = z11q20c;
if z11q20d = . then phone = 0;else phone=z11q20d;
if z11q20e = . then  fuel = 0;else fuel=z11q20e;
if z11q20f = . then gas = 0;else gas=z11q20f;
if z11q20g = . then trans = 0;else trans=z11q20g;
if z11q20h = . then res = 0;else res=z11q20h;
z11tot92=z11tot;
z11totch=rent +elect +water + phone+fuel +gas + trans + res;
if z11tot=. then z11tot92=z11totch;
if  z11q20a = . and z11q20b = . and z11q20c =. and z11q20d = .
and z11q20e = . and z11q20f = . and z11q20g = . and z11q20h = .
and z11tot = . then z11tot92 = .;
if z8q02=1 then misc92=z11tot92;
if z8q02=2 then misc92=z11tot92*2;
if z8q02=3 then misc92=z11tot92*12;
if z8q02=4 then misc92=z11tot92*26;
if z8q02=5 then misc92=z11tot92*52;
if z8q02=6 then misc92=.;
if z8q02=. then misc92=.;

capact92=z11q25;
if z11q26=0 then export92=0;
if z11q26 ne 0 and z11q26 ne . then export92=1;
pexp92=z11q26;

empl92a=z14q01f+z14q01p+1;
empl92b=z14q01f+1;
if firm=181 then empl92a=empl92a/10;
if firm=181 then empl92b=empl92b/10;
lempl92b=log(empl92b);

/*Imported Inputs; impinp92 is did you import inputs, pimp92 is % imported*/
if z10q13=0 then impinp92=0;
if z10q13 ne 0 and z10q13 ne . then impinp92=1;
pimp92=z10q13;
pimpinp=pimp92;
if pimpinp=. then pimpinp=0;

/*Advertising expenditure*/
advert=z11q22;

/*if sales92 le 0 then delete;*/
int92=mata92+misc92;
profit92=output92-int92 -wages92;
if z8q02=1 then z11q21c=z11q21;
if z8q02=2 then z11q21c=z11q21*2;
if z8q02=3 then z11q21c=z11q21*12;
if z8q02=4 then z11q21c=z11q21*26;
if z8q02=5 then z11q21c=z11q21*52;
if z8q02=6 then z11q21c=.;
check=(profit92-z11q21c)*100/profit92;

if firm=181 then output92=output92/10;
if firm=181 then mata92=mata92/10;
if firm=181 then misc92=misc92/10;
if firm=181 then int92=int92/10;
if firm=181 then wages92=wages92/10;

vad92=output92-int92;
intsh92=int92*100/output92;
profsh92=profit92*100/vad92;
wagesh92=wages92*100/vad92;

matash92=mata92*100/output92;
miscsh92=misc92*100/output92;

profem92=profit92/empl92a;
vademp92=vad92/empl92a;

/*definition 1 of capital is Replacement Value*/
cap192=z10q17;
cap192c=z10q187;
if cap192=. then cap192=cap192c;
clr192=cap192/empl92a;

/*Investment in 1992/93 The period average exchange rate for Cedis/US dollar
 was 601 for 1993 quarter 2 from IMF statistics. This rate has been used in
the conversions to US dollars*/
inv92n=z11q23;
inv92nus=inv92n/601;
ic92n=inv92n/cap192;
lic92n=log(ic92n);
ie92n=inv92n/empl92a;
lie92n=log(ie92n);
ic92nus=inv92nus/cap192;
ie92nus=inv92nus/empl92a;
cv92n=cap192/vad92;
lcv92n=log(cv92n);
iv92n=inv92n/vad92;
liv92n=log(iv92n);

procap92=profit92/cap192;
lclr192=log(clr192);
lclr1922=lclr192*lclr192;
vadc192=vad92/cap192;
capvad1=cap192/vad92;

/*Definition 2 of Capital is Sales Value*/
cap292=z10q17a;
clr292=cap292/empl92a;
capret3=profit92*100/cap292;
vadc292=vad92/cap292;
capsale=cap292;

/*Percentage export queswtion*/
pexport=z11q26;


/*Creation of Traded, Nontraded and Traded Goods
Importable is Garments and Textile, Exportable is Wood
Nontraded is Food, Furniture and Metal*/

if garment=1 or textile= 1 then tradum='Import';
if wood=1 then tradum='export';
if foods=1 or furn=1 or metal=1 or machines=1 or bakery=1
then tradum='nontrade';

klbrep=z10q16;

vadwk92=vad92/empl92a;
lvadwk92=log(vadwk92);

profc=profit92;
empc=empl92a;
emp92=empl92a;
lemp92=log(empc);
cap1c=cap192;
cap92=cap192;
lcap92=log(cap192);
vadc=vad92;
lvad92=log(vad92);
premp92=profc/empc;
prate92=profc/cap1c;
lprate92=log(prate92);
wrate92=wages92/empl92a;
lwrate92=log(wrate92);
cost92=empl92a*wrate92+cap192*prate92;
lcost92=log(cost92);
labsh92=(empl92a*wrate92)/cost92;
capsh92=(cap192*prate92)/cost92;
lcratio=empc/cap1c;
wratio=wrate92/prate92;
llcratio=log(lcratio);
llcap92=llcratio;
lwratio=log(wratio);
lwr92=lwratio;
statet=sstate+state;
exports=export92;
pexp=pexp92;

/*Deleteion of charcoal burners*/
if firm=80 then delete;
if firm=81 then delete;


options linesize=80;

year=1992;
lemp=lemp92;
lvad=lvad92;
lwrate=lwrate92;
lcap=lcap92;
lprate=lprate92;
llcap=llcap92;
llvad=lemp-lvad;
lwr=lwr92;
lsize=lemp92;
emp=empc;
cap=cap1c;
labsh=labsh92;
capsh=capsh92;
premp92=profem92/1000000;
prate=prate92;
premp=premp92;
ic=ic92n;
lic=lic92n;
ie=ie92n;
lie=lie92n;
icus=ic92nus;
ieus=ie92nus;
iv=iv92n;
liv=liv92n;
inv=inv92n;
invqu=inv;
vad=vad92;
output=output92;
outemp=output92/emp92;
intsh=intsh92;
matash=matash92;
miscsh=miscsh92;
mata=mata92;
int=int92;
misc=misc92;
wages=wages92;

capact=capact92;

pcreps=pcreps2;
pbfr=pbfr2;
pblod=pblod2;
psc=psc2;
pbml=pbml2;
poth=poth2;


if inv=0
 then invdum=0;else invdum=1;
if inv=. then invdum=.;

/*Deletions made necessary by capital stock problems
if firm =125 then lcap92=.;
if firm =125 then lcap=.;
if firm =125 then cap=.;
if firm=86 then lcap92=.;
if firm=86 then lcap=.;
if firm=86 then cap=.;
if firm=154 then lcap92=.;
if firm=154 then lcap=.;
if firm=154 then cap=.;
if firm=197 then lcap92=.;
if firm=197 then cap=.;
if firm=197 then cap=.;
*/

/*Optimism questions*/
if z49q1a=3 or z49q1a=4 then optimist=1; else optimist=0;
expec1=z49q1a;
expec3=z49q14;
fmage=fmage92;



wave=2;



keep firm wave lemp lvad lwrate lcap lprate llcap lwr
 year lsize emp cap klbrep labsh capsh
 premp prate  llvad
ic lic ie lie icus ieus cv lcv iv liv inv invdum sized92 vad output outemp
intsh capsale matash miscsh optimist exports pexp
mata int misc pimpinp wages capact
invqu advert expec1 expec3 fmage;

proc sort;by firm wave;
proc means; run;


data scale3; merge j3.rec301ad(in=a) j3.rec304 j3.rec311c j3.rec312
j3.rec313c j3.rec314c j3.rec315c j3.rec316 j3.rec321c
 j3.rec336 j3.rec356 cd.common;
by firm; if a;
options linesize=80;


if l11q01=1 and l11q02=. then l11q02=1;

sales=l13q17;
if l11q02=1 then sales93=sales;
if l11q02=2 then sales93=sales*2;
if l11q02=3 then sales93=sales*12;
if l11q02=4 then sales93=sales*26;
if l11q02=5 then sales93=sales*52;
if l11q02=6 then sales93=.;
if l11q02=. then sales93=.;
output=l13q16;
if l11q02=1 then output93=output;
if l11q02=2 then output93=output*2;
if l11q02=3 then output93=output*12;
if l11q02=4 then output93=output*26;

if l11q02=5 then output93=output*52;
if l11q02=6 then output93=.;
if l11q02=. then output93=.;



material=l14q26;
if l11q02=1 then mata93=material;
if l11q02=2 then mata93=material*2;
if l11q02=3 then mata93=material*12;
if l11q02=4 then mata93=material*26;
if l11q02=5 then mata93=material*52;
if l11q02=6 then mata93=.;
if l11q02=. then mata=.;
wages=l14q30;
if l11q02=1 then wages93=wages;
if l11q02=2 then wages93=wages*2;
if l11q02=3 then wages93=wages*12;
if l11q02=4 then wages93=wages*26;
if l11q02=5 then wages93=wages*52;
if l11q02=6 then wages93=.;
if l11q02=. then wages93=.;

if l15q35a = . then rent = 0;else rent = l15q35a;
if l15q35b = . then elect = 0;else elect = l15q35b;
if l15q35c = . then water = 0;else water = l15q35c;
if l15q35d = . then phone = 0;else phone=l15q35d;
if l15q35e = . then  fuel = 0;else fuel=l15q35e;
if l15q35f = . then gas = 0;else gas=l15q35f;
if l15q35g = . then trans = 0;else trans=l15q35g;
if l15q35h = . then security = 0;else security=l15q35h;

totind=rent +elect +water + phone+fuel +gas + trans + security;

if l11q02=1 then totind93=totind;
if l11q02=2 then totind93=totind*2;
if l11q02=3 then totind93=totind*12;
if l11q02=4 then totind93=totind*26;
if l11q02=5 then totind93=totind*52;
if l11q02=6 then totind93=.;
if l11q02=. then totind93=.;


/*adds firms with only total indirect costs*/
if firm=132 then totind93=1154667000;
if firm=138 then totind93=2000000;
if firm=151 then totind93=77119943;

/*Capacity, exporting and employment*/
capact93=l15q43;
if l16q47a=. then l16q47a=0;
if l16q47b=. then l16q47b=0;
if l16q46=. then l16q47a=.;
if l16q46=. then l16q47b=.;

if l16q46=2  then export93=0;
if l16q46=1 then export93=1;


pexpaf=l16q47a;
pexpnaf=l16q47b;


pexp=pexpaf+pexpnaf;


empfp93=l21q021;
empfc93=l21q022;
emppt93=l21q023;
emp93=empfp93+empfc93+emppt93+1;
if emp93=. then emp93=l21q01+1;
check= l21q01+1 - emp93;



if firm=181 then emp93=emp93/10;
if firm=181 then output93=output93/10;
if firm=181 then sales93=sales93/10;
if firm=181 then mata93=mata93/10;
if firm=181 then totind93=totind93/10;

misc93=totind93;
int93=mata93+totind93;
profit93=output93-int93 -wages93;
vad93=output93-int93;
intsh93=int93*100/output93;
profsh93=profit93*100/vad93;
wagesh93=wages93*100/vad93;


matash93=mata93*100/output93;
miscsh93=misc93*100/output93;



/*Imported Inputs;  pimp93 is % of raw materials imported*/
pimp93=l14q28;
pimpinp=pimp93;
if pimpinp=. then pimpinp=0;

profem93=profit93/emp93;
vademp93=vad93/emp93;

/*definition 1 of capital is Replacement Value*/
/*klbrep is the relacement value of land and buildings*/

klbrep=l14q31a;
klbsal=l15q34a;
cap193=l14q31b;
cap193c=l14q327;
if cap193=. then cap193=cap193c;
clr193=cap193/emp93;

procap93=profit93/cap193;
lclr1932=lclr193*lclr193;
vadc193=vad93/cap193;
capvad1=cap193/vad93;

inv93=l15q40;
inv93us=inv93/950;
ic93=inv93/cap193;
lic93=log(ic93);
ie93=inv93/emp93;
lie93=log(ie93);
ic93us=inv93us/cap193;
ie93us=inv93us/emp93;
iv93=inv93/vad93;
liv93=log(iv93);


/*Definition 2 of Capital is Sales Value*/
cap293=l15q34b;
clr293=cap293/emp93;
capret3=profit93*100/cap293;
vadc293=vad93/cap293;
capsale=cap293;



/*Liquidy problems*/
if l36q01=1 then liquid=1; else liquid=0;

/*Advertsing expenditure and interest payments*/
advert=l15q36;
intere=l15q37;

wrate93=wages93/emp93;
prate93=profit93/cap193;
cost93=emp93*wrate93+cap193*prate93;
labsh93=(emp93*wrate93)/cost93;
capsh93=(cap193*prate93)/cost93;
lprate93=log(prate93);
lwrate93=log(wrate93);
cap93=cap193;
wr=wrate93/prate93;
empcap=emp93/cap193;
lwr93=log(wr);
llcap93=log(empcap);

lvad93=log(vad93);
lemp93=log(emp93);
lcap93=log(cap193);


/*Some history varaibles*/
sales90=l4q04a;
emp90=l4q05a;


year=1993;
lemp=lemp93;
lvad=lvad93;
lwrate=lwrate93;
lcap=lcap93;
lprate=lprate93;
llcap=llcap93;
lwr=lwr93;
lsize=lemp93;
emp=emp93;
cap=cap193;
labsh=labsh93;
capsh=capsh93;
premp93=profem93/1000000;
prate=prate93;
premp=premp93;
borrfe=borrfe3;
borrie=borrie3;
odrafte=odrafte3;
vad=vad93;
output=output93;
outemp=output93/emp93;
intsh=intsh93;
matash=matash93;
miscsh=miscsh93;
exports=export93;
mata=mata93;
int=int93;
misc=misc93;


wave=3;


ic=ic93;
lic=lic93;
ie=ie93;
lie=lie93;
icus=ic93us;
ieus=ie93us;
iv=iv93;
liv=liv93;
inv=inv93;
invqu=inv;
wages=wages93;
capact=capact93;


if inv=0 then invdum=0;else invdum=1;
if inv=. then invdum=.;


/*Optimism questions*/

if  l56q011=3  then optimist=1; else optimist=0;
expec1=l56q011;
expec3=l56q012;
fmage=fmage93;

/*deleteion of charcoal burners*/
if firm=80 then delete;
if firm=81 then delete;



keep firm wave lemp lvad lwrate lcap lprate llcap lwr
 year lsize emp cap labsh capsh
 premp prate  llvad
ic lic ie lie icus ieus iv liv inv invdum sized93 vad output outemp
 intsh capsale matash miscsh optimist exports pexp   pexpaf pexpnaf
  mata misc int pimpinp wages  capact
invqu  klbrep klbsal advert intere expec1 expec3 fmage;

proc sort;by firm wave;
proc means; run;

data s123; set scale1 scale2 scale3;by firm wave;


/* Firm 45 gave radically
inconsistent firgures over the three years
Firm 125 has radical differences between the years
Firm 200 stoped producing in year 3
Firm 74  was not collected on a consistent basis
Firm 107 did not produce in some years
firm 96 is a Furniture shop which gave radically different answers in
the three years
firm 35 is a feedmill which appears not to be on a consistent basis
firm 143 is a firm where wave2 data was challenged during wave 3
and seems to be seriously misleading
firm 22 gave completely different figures for each year*/

if firm=45 then delete;
if firm=125 then delete;
if firm=200 then delete;
if firm=74 then delete;
if firm=107 then delete;
if firm=96 then delete;
if firm=35 then delete;
if firm=143 then delete;
if firm=22 then delete;
/* Note firm 113 was dleted as a firm in the analysis of the first three rounds of data
as it was problematic with large negative VAD. That now
appears to be correct so it has been re-instated*/



/*In 1990 the exchange rate was 344.83, in 1991 it was
 390.63 cedis per US $, in 1992 it was
520.83, in 1993 it was 819.67;
this gives percentage changes of 33%, 57%*/
exch9091=13;
exch9192=33;
exch9293=57;


data adj1; set s123;
if wave=1;
if pimpinp=. then pimpinp=0;
pimpinp1=pimpinp;
keep firm pimpinp1;
proc sort; by firm;

data adj2;merge s123(in=a) adj1;if a;by firm;

data adj3; set adj2;
if wave=1;
matadj=mata;
keep firm wave matadj;
proc sort;by firm wave;

data adj4;set adj2;
if wave=2;
matadj=((pimpinp1*mata*1.13)+((100-pimpinp1)*mata))/100;
keep firm wave matadj;
proc sort;by firm wave;

data adj5; set adj2;
if wave=3;
matadj=((pimpinp1*mata*1.5)+((100-pimpinp1)*mata))/100;
keep firm wave matadj;
proc sort;by firm wave;


data scale; merge adj2(in=a) adj3 adj4 adj5;if a; by firm wave;

if mata=. then matadj=.;

matadjsh=matadj*100/output;
if firm=181 then matadjsh=matadjsh/10;




check1=vad-output+mata+misc;
check2=int-mata-misc;
drop educent educgm educman;

proc sort;by firm;


data edent;set scale1;
keep firm wave educent educgm educman;
proc sort;by firm;

data scaled;merge scale(in=a) edent;by firm;if a;
proc sort;by firm;


data scale123;merge scaled cd.common;by firm;
if wave=. or firm=. then delete;
proc sort;by  wave firm;


proc means; run;


data temp41; set j4.gmes1;
firm=s1eno;
proc sort;by firm;


data temp43; set j4.gmes3;
firm=s3eno;
proc sort;by firm;


data temp46; set j4.gmes6;
firm=s6eno;
proc sort;by firm;

data prod41; merge temp41 temp43 temp46 ;by firm;

pexpaf=s3q36;
pexpnaf=s3q37;
pexp=pexpaf+pexpnaf;

if pexp le 0 then exports=0;else exports=1;

vad94=s3q6a-s3q8a-s3q12ka;
vadck94=s3q6a-s3q8a-s3q12ka;
mata94=s3q8a;
mata95=s3q8b;
intsh94=(s3q8a+s3q12ka)*100/s3q6a;
intsh95=(s3q8b+s3q12kb)*100/s3q6b;

matash94=mata94*100/s3q6a;
matash95=mata95*100/s3q6b;

ck94=vadck94-s3q13a;
perror94=ck94*100/s3q13a;

vad95=s3q6b-s3q8b-s3q12kb;
vadck95=s3q6b-s3q8b-s3q12kb;


ck95=vadck95-s3q13b;
perror95=ck95*100/s3q13b;

pimpinp4=s3q10a;
pimpinp5=s3q10b;

if s3q2a=1 then output94=s3q6a;
if s3q2a=2 then output94=s3q6a*2;
if s3q2a=3 then output94=s3q6a*12;
if s3q2a=4 then output94=s3q6a*26;
if s3q2a=5 then output94=s3q6a*52;

if s3q2b=1 then output95=s3q6b;
if s3q2b=2 then output95=s3q6b*2;
if s3q2b=3 then output95=s3q6b*12;
if s3q2b=4 then output95=s3q6b*26;
if s3q2b=5 then output95=s3q6b*52;

if s3q2a=1 then vad94=vad94;
if s3q2a=2 then vad94=vad94*2;
if s3q2a=3 then vad94=vad94*12;
if s3q2a=4 then vad94=vad94*26;
if s3q2a=5 then vad94=vad94*52;

if s3q2b=1 then vad95=vad95;
if s3q2b=2 then vad95=vad95*2;
if s3q2b=3 then vad95=vad95*12;
if s3q2b=4 then vad95=vad95*26;
if s3q2b=5 then vad95=vad95*52;

if s3q2a=1 then wage94=s3q15a;
if s3q2a=2 then wage94=s3q15a*2;
if s3q2a=3 then wage94=s3q15a*12;
if s3q2a=4 then wage94=s3q15a*26;
if s3q2a=5 then wage94=s3q15a*52;

if s3q2b=1 then wage95=s3q15b;
if s3q2b=2 then wage95=s3q15b*2;
if s3q2b=3 then wage95=s3q15b*12;
if s3q2b=4 then wage95=s3q15b*26;
if s3q2b=5 then wage95=s3q15b*52;

if s3q2a=1 then int94=s3q8a+s3q12ka;
if s3q2a=2 then int94=(s3q8a+s3q12ka)*2;
if s3q2a=3 then int94=(s3q8a+s3q12ka)*12;
if s3q2a=4 then int94=(s3q8a+s3q12ka)*26;
if s3q2a=5 then int94=(s3q8a+s3q12ka)*52;

if s3q2b=1 then int95=s3q8b+s3q12kb;
if s3q2b=2 then int95=(s3q8b+s3q12kb)*2;
if s3q2b=3 then int95=(s3q8b+s3q12kb)*12;
if s3q2b=4 then int95=(s3q8b+s3q12kb)*26;
if s3q2b=5 then int95=(s3q8b+s3q12kb)*52;

if s3q2a=1 then mata94=s3q8a;
if s3q2a=2 then mata94=s3q8a*2;
if s3q2a=3 then mata94=s3q8a*12;
if s3q2a=4 then mata94=s3q8a*26;
if s3q2a=5 then mata94=s3q8a*52;

if s3q2b=1 then mata95=s3q8b;
if s3q2b=2 then mata95=s3q8b*2;
if s3q2b=3 then mata95=s3q8b*12;
if s3q2b=4 then mata95=s3q8b*26;
if s3q2b=5 then mata95=s3q8b*52;

if s3q2a=1 then misc94=s3q12ka;
if s3q2a=2 then misc94=s3q12ka*2;
if s3q2a=3 then misc94=s3q12ka*12;
if s3q2a=4 then misc94=s3q12ka*26;
if s3q2a=5 then misc94=s3q12ka*52;

if s3q2b=1 then misc95=s3q12kb;
if s3q2b=2 then misc95=s3q12kb*2;
if s3q2b=3 then misc95=s3q12kb*12;
if s3q2b=4 then misc95=s3q12kb*26;
if s3q2b=5 then misc95=s3q12kb*52;

lvad94=log(vad94);
lvad95=log(vad95);

emp95=s6q1b+1;
emp94=s6q1a+1;

lemp95=log(emp95);
lemp94=log(emp94);

avwage94=wage94/emp94/12 ;
avwage95=wage95/emp95/12 ;

cap95=s3q26b;
caps95=s3q28b;
cap94=s3q26a;
caps94=s3q28a;
klbsal94=s3q27a;
klbsal95=s3q27b;

lcap95=log(cap95);
lcap94=log(cap94);
lcaps95=log(caps95);
lcaps94=log(caps94);

vadcap94=vad94/cap94;
vademp94=vad94/emp94;
vadcap95=vad95/cap95;
vademp95=vad95/emp95;
capvad94=cap94/vad94;
capvad95=cap95/vad95;
outemp94=output94/emp94;
outemp95=output95/emp95;

prof94=vad94-wage94;
prof95=vad95-wage95;
premp94=prof94/emp94;
premp95=prof95/emp95;
prate94=prof94/cap94;
prate95=prof95/cap95;


inv94=s3q23a;
inv95=s3q23b;


proc sort;by firm;


data prod4; merge prod41 cd.common; by firm;

data wave4;set prod4;
lvad=lvad94;
lemp=lemp94;
premp=premp94/1000000;
prate=prate94;
cap=cap94;
capsale=caps94;
lcap=log(cap);
emp=emp94;
vad=vad94;
wages=wage94;
intsh=intsh94;
int=int94;
matash=matash94;
inv=inv94;
invqu=inv94;
output=output94;
mata=mata94;
misc=misc94;
pimpinp=pimpinp4;
klbsal=klbsal94;

wave=4;
if wave=. or firm=. then delete;
keep firm wave lvad lemp lcap premp prate cap capsale emp vad int wages
intsh   matash inv invqu output misc mata pexp exports pexpaf pexpnaf pimpinp klbsal;

proc sort;by firm;

data wave5;set prod4;
lvad=lvad95;
lemp=lemp95;
premp=premp95/1000000;
prate=prate95;
cap=cap95;
capsale=caps95;
lcap=log(cap);
emp=emp95;
vad=vad95;
wages=wage95;
intsh=intsh95;
int=int95;
matash=matash95;
inv=inv95;
invqu=inv95;
output=output95;
mata=mata95;
misc=misc95;
pimpinp=pimpinp5;
klbsal=klbsal95;
wave=5;
if wave=. or firm=. then delete;

keep firm wave  lvad lemp lcap premp prate cap capsale emp vad int wages
intsh   matash inv invqu output misc mata pexp exports pexpaf pexpnaf pimpinp klbsal;

proc sort;by firm;

data wave45;set wave4 wave5;

proc sort;by firm;


data wave45a;merge wave45 cd.common;by firm;


proc sort;by wave firm;


data scale15c;merge wave45a scale123;by wave firm;


if wave=1 then year=1991;
if wave=2 then year=1992;
if wave=3 then year=1993;
if wave=4 then year=1994;
if wave=5 then year=1995;

if wave=1 then wave1=1;else wave1=0;
if wave=2 then wave2=1;else wave2=0;
if wave=3 then wave3=1;else wave3=0;
if wave=4 then wave4=1;else wave4=0;
if wave=5 then wave5=1;else wave5=0;

if wave=4 then fmage=fmage94;
if wave=5 then fmage=fmage95;

if wave=1 and fmage=. then fmage=fmage91;
if wave=2 and fmage=. then fmage=fmage92;
if wave=3 and fmage=. then fmage=fmage93;
if wave=4 and fmage=. then fmage=fmage94;
if wave=5 and fmage=. then fmage=fmage95;


lprate=log(prate);
lcap=log(cap);
lcap2=lcap*lcap;
capvad=cap/vad;


proc sort;by wave firm;


data prod51; set j5.gm5f3;
firm=f3eno;
wave=6;

pexpaf=f3q28a;
pexpnaf=f3q29a;
pexp=pexpaf+pexpnaf;

if pexp le 0 then exports=0;else exports=1;

pimpinp=f3q12a;

output=f3q6a;
misc=f3q9m1;
mata=f3q10a;
wages=f3q17a;
vad=f3q6a-f3q9m1-f3q10a;

if f3q2a=1 then output=output;
if f3q2a=2 then output=output*2;
if f3q2a=3 then output=output*12;
if f3q2a=4 then output=output*52/2;
if f3q2a=5 then output=output*52;

if f3q2a=1 then misc=misc;
if f3q2a=2 then misc=misc*2;
if f3q2a=3 then misc=misc*12;
if f3q2a=4 then misc=misc*52/2;
if f3q2a=5 then misc=misc*52;

if f3q2a=1 then mata=mata;
if f3q2a=2 then mata=mata*2;
if f3q2a=3 then mata=mata*12;
if f3q2a=4 then mata=mata*52/2;
if f3q2a=5 then mata=mata*52;

if f3q2a=1 then vad=vad;
if f3q2a=2 then vad=vad*2;
if f3q2a=3 then vad=vad*12;
if f3q2a=4 then vad=vad*52/2;
if f3q2a=5 then vad=vad*52;

if f3q2a=1 then wages=wages;
if f3q2a=2 then wages=wages*2;
if f3q2a=3 then wages=wages*12;
if f3q2a=4 then wages=wages*52/2;
if f3q2a=5 then wages=wages*52;

profits=vad-wages;
intsh=(mata+misc)*100/output;
keep firm wave output misc mata vad wages profits intsh pexp exports pexpaf pexpnaf
pimpinp;
proc sort;by wave firm;
proc means;
run;

data prod52; set j5.gm5f3;
firm=f3eno;
wave=7;

pexpaf=f3q28b;
pexpnaf=f3q29b;
pexp=pexpaf+pexpnaf;

if pexp le 0 then exports=0;else exports=1;

pimpinp=f3q12b;

output=f3q6b;
misc=f3q9m2;
mata=f3q10b;
wages=f3q17b;
vad=f3q6b-f3q9m2-f3q10b;

if f3q2a=1 then output=output;
if f3q2a=2 then output=output*2;
if f3q2a=3 then output=output*12;
if f3q2a=4 then output=output*52/2;
if f3q2a=5 then output=output*52;

if f3q2a=1 then misc=misc;
if f3q2a=2 then misc=misc*2;
if f3q2a=3 then misc=misc*12;
if f3q2a=4 then misc=misc*52/2;
if f3q2a=5 then misc=misc*52;

if f3q2a=1 then mata=mata;
if f3q2a=2 then mata=mata*2;
if f3q2a=3 then mata=mata*12;
if f3q2a=4 then mata=mata*52/2;
if f3q2a=5 then mata=mata*52;

if f3q2a=1 then vad=vad;
if f3q2a=2 then vad=vad*2;
if f3q2a=3 then vad=vad*12;
if f3q2a=4 then vad=vad*52/2;
if f3q2a=5 then vad=vad*52;

if f3q2a=1 then wages=wages;
if f3q2a=2 then wages=wages*2;
if f3q2a=3 then wages=wages*12;
if f3q2a=4 then wages=wages*52/2;
if f3q2a=5 then wages=wages*52;

profits=vad-wages;
intsh=(mata+misc)*100/output;
keep firm wave output misc mata vad wages profits intsh pexp exports pexpaf pexpnaf
pimpinp;

proc sort;by wave firm;
proc means; run;


data cap51; set j5.gm5f4;

firm=f4eno;
wave=6;
cap=f4q1a;
capsale=f4q2a;
klbsal=f4q3a;
if cap=. then cap=capsal;

cap96=cap;
capsal96=capsale;
klbsal96=klbsal;

inv96=f4q12a3;
inv=inv96;
ic=inv/cap;

keep firm wave cap capsale klbsal
cap96 capsal96 klbsal96 inv96 inv ic;

proc sort; by  wave firm;
proc means; run;

data cap52; set j5.gm5f4;

firm=f4eno;
wave=7;
cap=f4q1b;
capsale=f4q2b;
klbsal=f4q3b;
if cap=. then cap=capsal;

cap97=cap;
capsal97=capsale;
klbsal97=klbsal;

inv97=f4q8a3;
inv=inv97;
ic=inv/cap;

keep firm wave cap capsale klbsal
cap97 capsal97 klbsal97 inv97 inv ic;

proc sort; by wave firm;


data lab51;set j5.gm5f5;
firm=f5eno;
wave=6;
emp=f5q1a+1;

keep wave firm emp;
proc sort;by wave firm;

data lab52;set j5.gm5f5;
firm=f5eno;
wave=7;
emp=f5q1b+1;


keep wave firm emp;
proc sort;by wave firm;

data prod67;merge prod51 prod52 cap51 cap52 lab51 lab52;
by wave firm;


ic96=inv96/cap96;
ic97=inv97/cap97;


if wave=6 then wave6=1;else wave6=0;
if wave=7 then wave7=1;else wave7=0;

lemp=log(emp);
lvad=log(vad);
lcap=log(cap);
prate=profits/cap;
lprate=log(prate);
lcaplab=log(cap/emp);
premp=profits/emp/1000000;

proc sort;by firm;

data prodnew;merge prod67 cd.common;by firm;
if wave=6 then fmage=fmage96;
if wave=7 then fmage=fmage97;
if wave=1 and fmage=. then fmage=fmage91;
if wave=2 and fmage=. then fmage=fmage92;
if wave=3 and fmage=. then fmage=fmage93;
if wave=4 and fmage=. then fmage=fmage94;
if wave=5 and fmage=. then fmage=fmage95;
if wave=6 and fmage=. then fmage=fmage96;
if wave=7 and fmage=. then fmage=fmage97;
if wave=. or firm=. then delete;
proc sort;by wave firm;
proc means;var firm wave inv; run;


data cd.genfirm;merge scale15c prodnew; by wave firm;
if invqu=. then invqu=inv;
proc sort;by firm wave;
proc sort;by wave;
proc means;var cap capsale sales83 sales88 emp83 emp88 pexpaf pexpnaf pexp exports
pimpinp klbrep klbsal output;by wave; run;
proc means;var firm wave invqu cap capsale sales83 sales88 emp83 emp88 pexpaf pexpnaf pexp exports
pimpinp klbrep klbsal output;run;
proc sort;by wave; proc means; var invqu inv;by wave;
proc means; run;
run;