
libname cd 'd:\sasprogs\rped5may99public\createdata';

libname j1 'd:\sasprogs\rped5may99public\wave1';
libname j2 'd:\sasprogs\rped5may99public\wave2';
libname j3 'd:\sasprogs\rped5may99public\wave3';
libname j4 'd:\sasprogs\rped5may99public\wave4';
libname j5 'd:\sasprogs\rped5may99public\wave5';


proc sort data=cd.common;by firm;


/*Investment in Land and Buildings for Wave 2*/

/*Definitons: invland is investment in land,
landcre is the percentage of investment in land financed by company retained earnings
landps  is the percentage of investment in land financed by personal savings
landbfr is the percentage of investment in land financed by borrowing from friends and relatives
landbl  is the percentage of investment in land financed by bank loan
landsc  is the percentage of investment in land financed by supplier creidt
landbml is the percentage of investment in land financed by money lender
landoth is the percentage of investment in land financed by other

similarly invbuild is investment in buildings*/

data land2;merge j3.rec301ad(in=a) j2.rec211c j2.rec227c;if a;by firm;

options linesize=80;

invland=z27q1a;
if invland ne . then do;
landcre=z27q3a2a;
landps= z27q3b2a;
landbfr=z27q3c2a;
landbl=z27q3d2a;
landsc=z27q3e2a;
landbml=z27q3f2a;
landoth=z27q3g2a;
end;

landtot=landcre+landps+landbfr+landbl+landsc+landbml+landoth;

if invland=0 then landid=0; if invland gt 0 then landid=1;

wave=2;
keep firm wave invland landcre landps landbfr landbl landsc landbml landoth landid;
proc sort;by firm wave;
proc means;
run;

data build2;merge j3.rec301ad(in=a) j2.rec211c j2.rec227c;if a;by firm;

invbuild=z27q1b;
if invbuild ne . then do;
buildcre=z27q3a2b;
buildps= z27q3b2b;
buildbfr=z27q3c2b;
buildbl=z27q3d2b;
buildsc=z27q3e2b;
buildbml=z27q3f2b;
buildoth=z27q3g2b;
end;

buildtot=buildcre+buildps+buildbfr+buildbl+buildsc+buildbml+buildoth;

if invbuild=0 then buildid=0;if invbuild gt 0 then buildid=1;

wave=2;

keep wave firm invbuild buildcre buildps buildbfr buildbl buildsc buildbml buidloth buildid;
proc sort;by firm wave;
proc means; run;

data plant2; merge j3.rec301ad(in=a) j2.rec211c j2.rec227c;if a;by firm;
options linesize=80;

invplant=z27q1c;
if invplant ne . then do;
plantcre=z27q3a2c;
plantps= z27q3b2c;
plantbfr=z27q3c2c;
plantbl=z27q3d2c;
plantsc=z27q3e2c;
plantbml=z27q3f2c;
plantoth=z27q3g2c;
end;
wave=2;
plantot=plantcre+plantps+plantbfr+plantbl+plantsc+plantbml+plantoth;

if invplant=0 then plantid=0;if invplant gt 0 then plantid=1;

keep firm wave invplant plantcre plantps plantbfr plantbl plantsc plantbml plantoth plantid;
proc sort;by firm wave;
proc means; run;


/*The following data sets are to sort out financing of investment in wave3*/

data land3; set j3.rec333c;by firm;
options linesize=80;
if first.firm and l33ica=1;
if l33q01a=2 then landls=1;else landls=0;

invland=l33q02a;

if l33q02aa=. then l33q02aa=0;
if l33q02ba=. then l33q02ba=0;
if l33q02ca=. then l33q02ca=0;
if l33q02da=. then l33q02aa=0;
if l33q02ea=. then l33q02aa=0;
if l33q02fa=. then l33q02aa=0;
if l33q02ga=. then l33q02aa=0;
if l33q02ha=. then l33q02aa=0;
if l33q02ia=. then l33q02aa=0;
if l33q02ja=. then l33q02aa=0;
if l33q02ka=. then l33q02aa=0;


landcre=l33q02aa*100/invland;
landps=l33q02ba*100/invland;
landbfr=l33q02ca*100/invland;
landbl=l33q02da*100/invland;
landbo=l33q02ea*100/invland;
landsc=l33q02fa*100/invland;
landbml=l33q02ga*100/invland;
landpc=l33q02ha*100/invland;
landse=l33q02ia*100/invland;
landnp=l33q02ja*100/invland;
landoth=l33q02ka*100/invland;

if invland=0 then landid=0; if invland gt 0 then landid=1;

/*
if invland=0 then do;
landcre=0;landps=0; landbfr=0;landbl=0;landbo=0;landsc=0;landbml=0;landpc=0;landse=0;
landnp=0;landoth=0;
end;
*/
wave=3;
landch= landcre+ landps+ landbfr+ landbl+ landbo+ landsc+ landbml+ landpc+
landse+ landnp+ landoth;

keep firm wave  invland landcre landps landbfr landbl landbo landsc landbml landpc
landse landnp landoth landid ;
proc sort;by firm wave;
proc means; run;


data temp1; set j3.rec333c;by firm;
if first.firm and l33ica=1 then delete;

data build3; set temp1;by firm;
if first.firm and l33ica=2;
if l33q01b=2 then buildls=1;else buildls=0;

invbuild=l33q02b;


buildcre=l33q02ab*100/invbuild;
buildps=l33q02bb*100/invbuild;
buildbfr=l33q02cb*100/invbuild;
buildbl=l33q02db*100/invbuild;
buildbo=l33q02eb*100/invbuild;
buildsc=l33q02fb*100/invbuild;
buildbml=l33q02gb*100/invbuild;
buildpc=l33q02hb*100/invbuild;
buildse=l33q02ib*100/invbuild;
buildnp=l33q02jb*100/invbuild;
buildoth=l33q02kb*100/invbuild;

if invbuild=0 then buildid=0;if invbuild gt 0 then buildid=1;

wave=3;

keep firm wave buildls  invbuild buildcre buildps buildbfr
buildbl buildbo buildsc buildbml buildpc  buildse buildnp buildoth buildid;
proc sort;by firm wave;
proc means; run;

data temp3; set temp1; by firm;
if firm=37 or firm=98 or firm=141 or firm=172 then stop=1;else stop=0;

if first.firm and l33ica=2 and stop =0 then delete;
if stop =1 then l33ica=3;


data plant3; set temp3;by firm;
if l33q01c=2 then plantls=1;else plantls=0;

if firm=37 then plant3=0;
if firm=98 then plant3=0;
if firm=141 then plant3=0;
if firm=172 then plant3=0;

invplant=l33q02c;

plantcre=l33q02ac*100/invplant;
plantps=l33q02bc*100/invplant;
plantbfr=l33q02cc*100/invplant;
plantbl=l33q02dc*100/invplant;
plantbo=l33q02ec*100/invplant;
plantsc=l33q02fc*100/invplant;
plantbml=l33q02gc*100/invplant;
plantpc=l33q02hc*100/invplant;
plantse=l33q02ic*100/invplant;
plantnp=l33q02jc*100/invplant;
plantoth=l33q02kc*100/invplant;


plantch= plantcre+ plantps+ plantbfr+ plantbl+ plantbo+ plantsc
+ plantbml+ plantpc+planse+ plannp+ planoth;

if invplant=0 then plantid=0;if invplant gt 0 then plantid=1;

wave=3;

keep firm wave invplant plantcre plantps plantbfr
 plantbl plantbo plantsc plantbml plantpc
plantse plantnp plantoth plantid;

proc sort;by firm wave;



data build4; set j4.gmes4;
firm=s4eno;

invbuild=s4q5a2;

buildcre=s4q5c2;
buildps=s4q5d2;
buildbfr=s4q5e2;
buildbl=s4q5f2;
buildsc=s4q5g2;
buildbml=s4q5h2;
buildpc=s4q5i2;
buildse=s4q5j2;
buildnp=s4q5k2;
buildoth=s4q5l2;

if invbuild=0 then buildid=0;if invbuild gt 0 then buildid=1;

wave=4;

keep firm wave buildls  invbuild buildcre buildps buildbfr
buildbl buildbo buildsc buildbml buildpc  buildse buildnp buildoth buildid;
proc sort;by firm wave;
proc means; run;


data build5; set j4.gmes4;
firm=s4eno;
invbuild=s4q1a2;

buildcre=s4q1c2;
buildps=s4q1d2;
buildbfr=s4q1e2;
buildbl=s4q1f2;
buildsc=s4q1g2;
buildbml=s4q1h2;
buildpc=s4q1i2;
buildse=s4q1j2;
buildnp=s4q1k2;
buildoth=s4q1l2;

if invbuild=0 then buildid=0;if invbuild gt 0 then buildid=1;

wave=5;

keep firm wave buildls  invbuild buildcre buildps buildbfr
buildbl buildbo buildsc buildbml buildpc  buildse buildnp buildoth buildid;
proc sort;by firm wave;
proc means; run;


data land4; set j4.gmes4;
firm=s4eno;
invland=s4q5a1;

landcre=s4q5c1;
landps=s4q5d1;
landbfr=s4q5e1;
landbl=s4q5f1;
landsc=s4q5g1;
landbml=s4q5h1;
landpc=s4q5i1;
landse=s4q5j1;
landnp=s4q5k1;
landoth=s4q5l1;

if invland=0 then landid=0;if invland gt 0 then landid=1;

wave=4;

keep firm wave landls  invland landcre landps landbfr
landbl landbo landsc landbml landpc  landse landnp landoth landid;
proc sort;by firm wave;
proc means; run;

data land5; set j4.gmes4;
firm=s4eno;
invland=s4q1a1;

landcre=s4q1c1;
landps=s4q1d1;
landbfr=s4q1e1;
landbl=s4q1f1;
landsc=s4q1g1;
landbml=s4q1h1;
landpc=s4q1i1;
landse=s4q1j1;
landnp=s4q1k1;
landoth=s4q1l1;

if invland=0 then landid=0;if invland gt 0 then landid=1;

wave=5;

keep firm wave landls  invland landcre landps landbfr
landbl landbo landsc landbml landpc  landse landnp landoth landid;
proc sort;by firm wave;
proc means; run;

data plant4; set j4.gmes4;
firm=s4eno;
invplant=s4q5a3;

plantcre=s4q5c3;
plantps=s4q5d3;
plantbfr=s4q5e3;
plantbl=s4q5f3;
plantsc=s4q5g3;
plantbml=s4q5h3;
plantpc=s4q5i3;
plantse=s4q5j3;
plantnp=s4q5k3;
plantoth=s4q5l3;

if invplant=0 then plantid=0;if invplant gt 0 then plantid=1;

wave=4;

keep firm wave plantls  invplant plantcre plantps plantbfr
plantbl plantbo plantsc plantbml plantpc  plantse plantnp plantoth plantid;
proc sort;by firm wave;
proc means; run;

data plant5; set j4.gmes4;
firm=s4eno;
invplant=s4q1a3;

plantcre=s4q1c3;
plantps=s4q1d3;
plantbfr=s4q1e3;
plantbl=s4q1f3;
plantsc=s4q1g3;
plantbml=s4q1h3;
plantpc=s4q1i3;
plantse=s4q1j3;
plantnp=s4q1k3;
plantoth=s4q1l3;

if invplant=0 then plantid=0;else plantid=1;

wave=5;

keep firm wave plantls  invplant plantcre plantps plantbfr
plantbl plantbo plantsc plantbml plantpc  plantse plantnp plantoth plantid;
proc sort;by firm wave;
proc means; run;

data build6; set j5.gm5f4 ;
firm=f4eno;

invbuild=f4q12a2;

buildcre=f4q12c2;
buildps=f4q12d2;
buildbfr=f4q12e2;
buildbl=f4q12f2;
buildsc=f4q12g2;
buildbml=f4q12h2;
buildpc=f4q12i2;
buildse=f4q12j2;
buildnp=f4q12k2;
buildoth=f4q12l2;

if invbuild=0 then buildid=0;if invbuild gt 0 then buildid=1;

wave=6;

keep firm wave buildls  invbuild buildcre buildps buildbfr
buildbl buildbo buildsc buildbml buildpc  buildse buildnp buildoth buildid;
proc sort;by firm wave;
proc means; run;

data build7; set j5.gm5f4 ;
firm=f4eno;

invbuild=f4q8a2;

buildcre=f4q8c2;
buildps=f4q8d2;
buildbfr=f4q8e2;
buildbl=f4q8f2;
buildsc=f4q8g2;
buildbml=f4q8h2;
buildpc=f4q8i2;
buildse=f4q8j2;
buildnp=f4q8k2;
buildoth=f4q8l2;

if invbuild=0 then buildid=0;if invbuild gt 0 then buildid=1;

wave=7;

keep firm wave buildls  invbuild buildcre buildps buildbfr
buildbl buildbo buildsc buildbml buildpc  buildse buildnp buildoth buildid;
proc sort;by firm wave;
proc means; run;


data land6; set j5.gm5f4 ;
firm=f4eno;

invland=f4q12a1;

landcre=f4q12c1;
landps=f4q12d1;
landbfr=f4q12e1;
landbl=f4q12f1;
landsc=f4q12g1;
landbml=f4q12h1;
landpc=f4q12i1;
landse=f4q12j1;
landnp=f4q12k1;
landoth=f4q12l1;

if invland=0 then landid=0;if invland gt 0 then landid=1;

wave=6;

keep firm wave landls  invland landcre landps landbfr
landbl landbo landsc landbml landpc  landse landnp landoth landid;
proc sort;by firm wave;
proc means; run;


data land7; set j5.gm5f4 ;
firm=f4eno;

invland=f4q8a1;

landcre=f4q8c1;
landps=f4q8d1;
landbfr=f4q8e1;
landbl=f4q8f1;
landsc=f4q8g1;
landbml=f4q8h1;
landpc=f4q8i1;
landse=f4q8j1;
landnp=f4q8k1;
landoth=f4q8l1;

if invland=0 then landid=0;if invland gt 0 then landid=1;

wave=7;

keep firm wave landls  invland landcre landps landbfr
landbl landbo landsc landbml landpc  landse landnp landoth landid;
proc sort;by firm wave;
proc means; run;


data plant6; set  j5.gm5f4 ;
firm=f4eno;

invplant=f4q12a3;

plantcre=f4q12c3;
plantps=f4q12d3;
plantbfr=f4q12e3;
plantbl=f4q12f3;
plantsc=f4q12g3;
plantbml=f4q12h3;
plantpc=f4q12i3;
plantse=f4q12j3;
plantnp=f4q12k3;
plantoth=f4q12l3;

if invplant=0 then plantid=0;else plantid=1;

wave=6;

keep firm wave plantls  invplant plantcre plantps plantbfr
plantbl plantbo plantsc plantbml plantpc  plantse plantnp plantoth plantid;
proc sort;by firm wave;
proc means; run;


data plant7; set  j5.gm5f4 ;
firm=f4eno;

invplant=f4q8a3;

plantcre=f4q8c3;
plantps=f4q8d3;
plantbfr=f4q8e3;
plantbl=f4q8f3;
plantsc=f4q8g3;
plantbml=f4q8h3;
plantpc=f4q8i3;
plantse=f4q8j3;
plantnp=f4q8k3;
plantoth=f4q8l3;

if invplant=0 then plantid=0;else plantid=1;

wave=7;

keep firm wave plantls  invplant plantcre plantps plantbfr
plantbl plantbo plantsc plantbml plantpc  plantse plantnp plantoth plantid;
proc sort;by firm wave;
proc means; run;


data cd.invlb;merge land2 build2 plant2 land3 build3 plant3
land4 build4 plant4 land5 build5 plant5
land6 build6 plant6 land7 build7 plant7;by firm wave;
proc sort;by wave;
proc means;
 run;
