
libname cd 'd:\sasprogs\rped5may99public\createdata';

libname j1 'd:\sasprogs\rped5may99public\wave1';
libname j2 'd:\sasprogs\rped5may99public\wave2';
libname j3 'd:\sasprogs\rped5may99public\wave3';
libname j4 'd:\sasprogs\rped5may99public\wave4';
libname j5 'd:\sasprogs\rped5may99public\wave5';

proc sort data=cd.genfirm;by firm wave;
proc sort data=cd.finance;by firm wave;
proc sort data=cd.capn17;by firm wave;
proc sort data=cd.humcap17;by firm wave; 


data index;set cd.index17;
proc sort;by firm;
proc means; run;

data  cindex;set cd.cindex17;
proc sort;by firm;
proc means;
run;

data prodtt;merge cd.genfirm cd.finance
cd.capn17  cd.humcap17  ;by firm wave;

proc sort;by firm;


data cd.prod17;merge prodtt cd.common index cindex ;by firm;
length secdnum $ 10;

/*Price indices for general use

       cpi        cpi        cpi        er         erindex    expuvus  rer                 pppc   pppi
     1977=100    1991=100    1994=1.0   (cedis/US$)
1986   4267
1987   6119
1988   8112
1989   10266
1990   14331                            326.33                113.9                       129.9  316.4
1991   17063        100                 367.83     100        114.9  0.237       100      147.6  371.4
1992   18658        109.3               437.09     118.8      115.0  0.2174      91.7     161.9  394.6
1993   23479        137.6               649.06     176.5      115.4  0.1837      77.51    201.6  491.99
1994   29547        173.2     1.0       956.71     260.1      117.9  0.15355     64.79    246.5  601.8
1995   47824        280.3     1.618     1200.43    326.4      123.8  0.1886      79.58    409.4  997.6
1996   73545        431.0     2.489     1637.23    445.1      124.5  0.21145     89.22    544.5  1329.4
1997   94601        554.4     3.201     2050.17    557.4      122.6  0.22056     93.06    712.7  1737.7
1998   113616       665.8               2291.79    623.1
rer= cpi*100/(er*expuvus)

Price index for raw material = 0.25 cpi*0.75 ERindex    inflation   change inflation
1987                                                    43.4
1988                                                    32.6
1989                                                    26.6
1990                                                    39.6
1991   100                                              19.1           -51.8
1992   116.4                                            9.3            -51.3
1993   166.8                                            25.9           178.5
1994   238.4                                            25.9           0
1995   314.9                                            61.8           138.6
1996   441.6                                            53.8           -12.9
1997   556.7                                            28.6           -46.8
1998                                                    20.1           -29.7

*/

/*creating inflation variables*/
if wave=1 then linf=19.1;
if wave=2 then linf=9.3;
if wave=3 then linf=25.9;
if wave=4 then linf=25.9;
if wave=5 then linf=61.8;
if wave=6 then linf=53.8;
if wave=7 then linf=28.6;

if wave=1 then lchinf=-51.8;
if wave=2 then lchinf=-51.3;
if wave=3 then lchinf=178.5;
if wave=4 then lchinf=0;
if wave=5 then lchinf=138.6;
if wave=6 then lchinf=-12.9;
if wave=7 then lchinf=-46.8;

if wave=1 then cinf=9.3;
if wave=2 then cinf=25.9;
if wave=3 then cinf=25.9;
if wave=4 then cinf=61.8;
if wave=5 then cinf=53.8;
if wave=6 then cinf=28.6;
if wave=7 then cinf=20.1;

if wave=1 then cchinf=-51.3;
if wave=2 then cchinf=178.5;
if wave=3 then cchinf=0;
if wave=4 then cchinf=138.6;
if wave=5 then cchinf=-12.9;
if wave=6 then cchinf=-46.8;
if wave=7 then cchinf=-29.7;


/*Creating raw material pric index*/
if wave=1 then prmata91=100;
if wave=2 then prmata91=116.4;
if wave=3 then prmata91=166.8;
if wave=4 then prmata91=238.4;
if wave=5 then prmata91=314.9;
if wave=6 then prmata91=441.6;
if wave=7 then prmata91=556.7;


/*Creating the cpi index*/
if wave=1 then cpi91=100;
if wave=2 then cpi91=109.3;
if wave=3 then cpi91=137.6;
if wave=4 then cpi91=173.2;
if wave=5 then cpi91=280.3;
if wave=6 then cpi91=431.3;
if wave=7 then cpi91=554.4;

/*Calculating real exchange rate varialbe*/
if wave=1 then rer=100;
if wave=2 then rer=91.7;
if wave=3 then rer=77.51;
if wave=4 then rer=64.79;
if wave=5 then rer=79.58;
if wave=6 then rer=89.22;
if wave=7 then rer=93.06;

/*Purchasing power parity*/
if wave=1 then pppc=147.6;
if wave=2 then pppc=161.9;
if wave=3 then pppc=201.6;
if wave=4 then pppc=246.5;
if wave=5 then pppc=409.4;
if wave=6 then pppc=544.5;
if wave=7 then pppc=712.7;

if wave=1 then pppi=371.4;
if wave=2 then pppi=394.6;
if wave=3 then pppi=491.99;
if wave=4 then pppi=601.8;
if wave=5 then pppi=997.6;
if wave=6 then pppi=1329.4;
if wave=7 then pppi=1737.7;

/*Creating output price index*/
if wave=1 then index=index91;
if wave=2 then index=index92;
if wave=3 then index=index93;
if wave=4 then index=index94;
if wave=5 then index=index95;
if wave=6 then index=index96;
if wave=7 then index=index97;

/*Creating cost price index*/
if wave=1 then cindex=cindex91;
if wave=2 then cindex=cindex92;
if wave=3 then cindex=cindex93;
if wave=4 then cindex=cindex94;
if wave=5 then cindex=cindex95;
if wave=6 then cindex=cindex96;
if wave=7 then cindex=cindex97;

/*Creating exchange rate index*/
if wave=1 then erus=367.83;
if wave=2 then erus=437.09;
if wave=3 then erus=649.06;
if wave=4 then erus=956.71;
if wave=5 then erus=1200.43;
if wave=6 then erus=1637.23;
if wave=7 then erus=2050.17;

if invqu=. then invqu=inv;
invrate=invqu/cap;
invemp=invqu/emp;

lindex=log(index);
lcindex=log(cindex);
lrer=log(rer);

outppp=output/pppc;
vadppp=vad/pppc;
capnppp=capn/pppi;
capppp=cap/pppi;
cost=vad*100/cpi91;
lcost=log(cost);

rborrcap=(borrfor*100/index)/capncp;
rborrfe=(borrfor/emp)*100/cpi91;
rborrie=(borrinf/emp)*100/cpi91;
rodrafte=(odraft/emp)*100/cpi91;

rerint=rer*intsh;
lrerint=log(rerint);

lnearnbt=log(earnbt);
lnrebt=log(rearnbt);
foods1=foods+ssrii;
food2=foods+bakery+ssrii;
metal1=metal+machines;

if food2=1 then secdnum='Food';
if textile=1 then secdnum='Textile';
if garment=1 then secdnum='Garments';
if wood=1 then secdnum='Wood';
if furn=1 then secdnum='Furniture';
if metal1=1 then secdnum='Metal+Machs';
if chemical=1 then secdnum='Chemicals';


lagewgt=log(agewgt);
ltenwgt=log(tenwgt);


/*Two measures of real value-added (1) is individually
deflated (id) the other is deflated only by the output price index*/

wcap=(mata+misc)*100/output;
lwcap=log(wcap);
markup=(output-mata-misc)*100/(mata+misc);

rvadid=output*100/index-mata*100/cindex-misc*100/cpi91;
vadn=output-mata;
rvadidn=output*100/index-mata*100/cindex;
rvadp=vad*100/index;

lvadn=log(vadn);
lrvadidn=log(rvadidn);

routput=output*100/index;
rmata=mata*100/cindex;
matap=mata*100/index;
rmisc=misc*100/cpi91;
miscp=misc*100/index;
profits=vad-wages;
rpremp=premp*100/index;
rprofits=profits*100/index;

ldvad=log(vad/index);
ldvadn=log(vadn/index);
relprice=index*100/cindex;

shmata=mata/output;
shmisc=misc/output;
shmtrer=shmata*rer;
rcapout=capncp/routput;
rcapvid=capncp/rvadid;

lroutput=log(routput);
lrmata=log(rmata);
lrmisc=log(rmisc);
lmatap=log(mata);
lmiscp=log(miscp);
lrelp=log(relprice);

lrvadid=log(rvadid);
lrvadp=log(rvadp);

lrvadide=lrvadid-lemp;
lrvadpe=lrvadp-lemp;

lcapncp=log(capncp);
lcapncpe=lcapncp-lemp;
lklbncp=log(klbncp);

lroute=lroutput-lemp;
lrmatae=lrmata-lemp;
lrmisce=lrmisc-lemp;
lmiscpe=lmiscp-lemp;

pcadmin=admin*100/totw;
pcman=man*100/totw;
pccomm=comm*100/totw;
pcsuperv=superv*100/totw;
pcmaint=maint*100/totw;
pcprodw=prodw*100/totw;
pcmast=mast*100/totw;
pcappr=appr*100/totw;


if wave=1 then wave1=1;else wave1=0;
if wave=2 then wave2=1;else wave2=0;
if wave=3 then wave3=1;else wave3=0;
if wave=4 then wave4=1;else wave4=0;
if wave=5 then wave5=1;else wave5=0;
if wave=6 then wave6=1;else wave6=0;
if wave=7 then wave7=1;else wave7=0;

/*human capital is years of edcuation + tenure
ernwgt is real (1991) hourly earnings before tax
ernbtwgt is real (1991) monthly earnings before tax*/

hcwgt=eduwgt+tenwgt;
lhcwgt=log(hcwgt);
hctotwgt=hcwgt*emp;
lhctwgt=log(hctotwgt);
lnnwq=log(nwq);
firmrw=lrhebt - lrhebth;
lernwgt=log(ernwgt);
lebmwgt=log(ernbtwgt);
leduwgt=log(eduwgt);

ernbtwus=ernbtwgt/erus;

lcapneu=lcapncpe*union;
if emp ge 200 then vlarge=1;else vlarge=0;
if emp ge 100 then large=1;else large=0;
lanyfor=large*anyfor;
vlanyfor=vlarge*anyfor;
lrer=log(rer);
lrerint=log(rer*intsh);
profits=vad-wages;
prate=profits/cap;

lprate=log(prate);
lpremp=log(premp);
if invqu gt 0 then invdum=1;else invdum=0;
if invqu=. then invdum=.;
invrvad=invcp/rvadid;
if vad gt 0 then invvad=invqu/vad;
if invrvad lt 0 or invrvad gt 1 then invrvad=.;
if invvad lt 0 or invvad gt 1 then invvad=.;
if invrate lt 0 or invrate gt 1 then invrate=.;





proc reg; model lroutput= lrmata  lrmisc  lemp lcapncp  lhctwgt lklbncp
 wave3 wave4   wave5 wave6 wave7
accra kum cape  foods bakery textile garment wood furn metal machines
anyfor statgh  fmage union exports;
run;


proc reg; model lroutput= lrmata  lrmisc  lemp lcapncp  lhctwgt
wave2 wave3 wave4   wave5 wave6 wave7
accra kum cape  foods bakery textile garment wood furn metal machines
anyfor statgh  fmage union exports;
run;

proc reg; model lernwgt=lemp   eduwgt agewgt tenwgt
wave2 wave3 wave4   wave5 wave6 wave7
accra kum cape foods bakery textile garment wood furn metal machines
anyfor statgh  fmage  union  exports;
run;

proc reg; model lrvadide=lemp lcapncpe lhcwgt
 wave2 wave3 wave4   wave5 wave6 wave7
accra kum cape foods bakery textile garment wood furn metal machines
anyfor statgh  fmage union exports;
run;

