
libname x 'd:\ghreldata\wave1' ;
libname y 'd:\ghreldata\wave2' ;
libname z 'd:\ghreldata\wave3' ;
libname v 'd:\ghreldata\createdata' ;



proc sort data=x.rec01ext; by firm;
proc sort data=x.rec07c; by firm;
proc sort data=x.rec11c; by firm;
proc sort data=x.rec12c; by firm;
proc sort data=x.rec19c; by firm wid;
proc sort data=x.rec20c; by firm wid;
proc sort data=y.rec220c;
by firm wid;
proc sort data=y.rec221c;
by firm wid;
proc sort data=y.rec222c;
by firm wid;
proc sort data=y.rec223c;
by firm wid;
proc sort data=y.rec214c;
by firm;
proc sort data=y.rec02ext;
by firm;
proc sort data=z.rec326c;
by firm wid;
proc sort data=z.rec327c;
by firm wid;
proc sort data=z.rec328c;
by firm wid;
proc sort data=z.rec329c;
by firm wid;
proc sort data=z.rec323c;
by firm ;
proc sort data=z.rec03ext;
by firm;
proc sort data=v.sizew3;
by firm;


data workers0; merge x.rec19c(in=a) x.rec20c;
by firm wid; if a;

options linesize=80;


/*CREATES VARIABLES OF PERSONAL CHARACTERISTICS*/
if r19q01=1 then male=1; else male=0;
age=r19q02;
agesq=(age**2);
if firm=26 and wid=1 then r19q03=1968;
if firm=26 and wid=2 then r19q03=1963;
if firm=26 and wid=3 then r19q03=1965;
if firm=26 and wid=4 then r19q03=1959;
if firm=26 and wid=5 then r19q03=1966;
if firm=26 and wid=6 then r19q03=1971;

if firm=31 and wid=1 then r19q03=1989;
if firm=31 and wid=2 then r19q03=1973;
if firm=31 and wid=3 then r19q03=1978;

if firm=53 and wid=2 then r19q03=.;


yearls=r19q03;
yearbn=1992-age;
yearsc=yearls-yearbn-6;

if r20q15=1 then appfirm=1; else appfirm=0;
if r20q15=2 then appoth=1;else appoth=0;
if appfirm=1 or appoth=1 then appsome=1; else appsome=0;

/*CREATES EDUCATION VARIABLES*/
if r19q051=1 /*and r19q052=.*/ then none=1; else none=0;
if none=1 then educ=0;
if r19q051=2 /*and r19q052=.*/ then primary=1; else primary=0;
if primary=1 then educ=6;
if r19q051=3 /*and r19q052=.*/ then middle=1; else middle=0;
if middle=1 then educ=10;
if r19q051=4 /*and r19q052=.*/ then second=1; else second=0;
if second=1 then educ=14;
if r19q051=8 /*and r19q052=.*/ then univ=1; else univ=0;
if univ=1 then educ=19;
if r19q052=5 then voc=1; else voc=0;
if voc=1 then educ=11;
if voc=1 and r19q051=4 then educ=15;
if r19q052=6 then poly=1; else poly=0;
if poly=1 then educ=12;
if poly=1 and r19q051=4 then educ=16;
if r19q052=7 then prof=1; else prof=0;
if prof=1 then educ=13;
if prof=1 and r19q051=4 then prof=17;
if r19q051=. and r19q052=. then educ=.;
if educ=. then none=.;
if educ=. then primary=.;
if educ=. then middle=.;
if educ=. then second=.;
if educ=. then univ=.;
if educ=. then poly=.;
if educ=. then voc=.;
if educ=. then prof=.;
if educ=. then delete;
educsq=(educ**2);
educsq=(educ**2);
if yearls=. and educ=0 then yearsc=0;


/*CREATES EXPERIENCE VARIABLES*/
exp=age-educ-6;
if exp lt 0 then exp=0;
expsq=(exp**2);

tenurey=r19q04y;
tenurem=r19q04m/12;
if r19q04y=. then tenurey=0;
if r19q04m=. then tenurem=0;
tenure=tenurey+tenurem;
if r19q04y =. and r19q04m=. then tenure=.;
tensq=(tenure**2);



/*CREATES OCCUPATION 0VARIABLES*/
if r19q08=1  then mgmt=1; else mgmt=0;
if r19q08=2  then admin=1; else admin=0;
if r19q08=3  then sales=1; else sales=0;
if r19q08=4  then prod=1; else prod=0;
if r19q08=5  then tech=1; else tech=0;
if r19q08=6  then super=1; else super=0;
if r19q08=7  then master=1; else master=0;


/*CREATES WEEKLY WAGE VARIABLES*/
if r20q12u=. then delete;
if r20q12u=5 then wages=r20q12a/52;
if r20q12u=4 then wages=(r20q12a*12)/52;
if r20q12u=3 then wages=r20q12a;
if r20q12u=2 then wages=r20q12a*6;
if r20q12u=1 then wages=r20q12a*r20q14;
if wages=0 then delete;
if wages=. then delete;
lnwages=log(wages);

/*Creates hours variable*/
hours=r20q14;
lnhours=log(hours);

keep firm wid male age agesq exp expsq none primary middle second univ
          voc poly prof tenure tensq
          educ yearsc mgmt admin sales prod tech super master wages tenure
 r19q08
          r20q12a r20q12u lnwages r19q08 hours
        lnhours appfirm appoth appsome;



data firm; merge x.rec01ext(in=a) x.rec03c(keep=firm r3q01)
 x.rec07c(keep=firm
                 r7q02 r7q05 r7q06 r7q04) x.rec11c x.rec12c x.rec13c x.rec60c
                 v.sizew3;
by firm; if a;


data workers1; merge workers0(in=a) firm;
by firm; if a;


/*CREATES WEEKLY EARNING VARIABLES*/

/*CREATES VARIABLE FOR WEEKLY FOOD ALLOWANCE*/
if mgmt=1 and r12q10aa ne . then do;
if r12q04a=5 then delete;
if r12q04a=4 then food=(r12q10aa*12)/52;
if r12q04a=3 then food=(r12q10aa/2);
if r12q04a=2 then food=r12q10aa;
if r12q04a=1 then food=r12q10aa*6;
end;

/*CREATES VARIABLE FOR WEEKLY HOUSING ALLOWANCE*/
if mgmt=1 and r12q10ba ne . then do;
if r12q04a=5 then delete;
if r12q04a=4 then house=(r12q10ba*12)/52;
if r12q04a=3 then house=(r12q10ba/2);
if r12q04a=2 then house=r12q10ba;
if r12q04a=1 then house=r12q10ba*6;
end;
/*CREATES VARIABLE FOR WEEKLY CLOTHING ALLOWANCE*/
if mgmt=1 and r12q10ca ne . then do;
if r12q04a=5 then delete;
if r12q04a=4 then cloth=(r12q10ca*12)/52;
if r12q04a=3 then cloth=(r12q10ca/2);
if r12q04a=2 then cloth=r12q10ca;
if r12q04a=1 then cloth=r12q10ca*6;
end;
/*CREATES VARIABLE FOR WEEKLY TRANSPORTATION ALLOWANCE*/
if mgmt=1 and r12q10da ne . then do;
if r12q04a=5 then delete;
if r12q04a=4 then trans=(r12q10da*12)/52;
if r12q04a=3 then trans=(r12q10da/2);
if r12q04a=2 then trans=r12q10da;
if r12q04a=1 then trans=r12q10da*6;
end;
/*CREATES VARIABLE FOR WEEKLY LEAVE ALLOWANCE*/
if mgmt=1 and r12q10ea ne . then do;
if r12q04a=5 then delete;
if r12q04a=4 then leave=(r12q10ea*12)/52;
if r12q04a=3 then leave=(r12q10ea/2);
if r12q04a=2 then leave=r12q10ea;
if r12q04a=1 then leave=r12q10ea*6;
end;
/*CREATES VARIABLE FOR WEEKLY BONUSES*/
if mgmt=1 and r12q10fa ne . then do;
if r12q04a=5 then delete;
if r12q04a=4 then other=(r12q10fa*12)/52;
if r12q04a=3 then other=(r12q10fa/2);
if r12q04a=2 then other=r12q10fa;
if r12q04a=1 then other=r12q10fa*6;
end;

/*CREATES VARIABLE FOR WEEKLY FOOD ALLOWANCE*/
if admin=1 and r12q10ab ne . then do;
if r12q04b=5 then delete;
if r12q04b=4 then food=(r12q10ab*12)/52;
if r12q04b=3 then food=(r12q10ab/2);
if r12q04b=2 then food=r12q10ab;
if r12q04b=1 then food=r12q10ab*6;
end;
/*CREATES VARIABLE FOR WEEKLY HOUSING ALLOWANCE*/
if admin=1 and r12q10bb ne . then do;
if r12q04b=5 then delete;
if r12q04b=4 then house=(r12q10bb*12)/52;
if r12q04b=3 then house=(r12q10bb/2);
if r12q04b=2 then house=r12q10bb;
if r12q04b=1 then house=r12q10bb*6;
end;
/*CREATES VARIABLE FOR WEEKLY CLOTHING ALLOWANCE*/
if admin=1 and r12q10cb ne . then do;
if r12q04b=5 then delete;
if r12q04b=4 then cloth=(r12q10cb*12)/52;
if r12q04b=3 then cloth=(r12q10cb/2);
if r12q04b=2 then cloth=r12q10cb;
if r12q04b=1 then cloth=r12q10cb*6;
end;
/*CREATES VARIABLE FOR WEEKLY TRANSPORTATION ALLOWANCE*/
if admin=1 and r12q10db ne . then do;
if r12q04b=5 then delete;
if r12q04b=4 then trans=(r12q10db*12)/52;
if r12q04b=3 then trans=(r12q10db/2);
if r12q04b=2 then trans=r12q10db;
if r12q04b=1 then trans=r12q10db*6;
end;
/*CREATES VARIABLE FOR WEEKLY LEAVE ALLOWANCE*/
if admin=1 and r12q10eb ne . then do;
if r12q04b=5 then delete;
if r12q04b=4 then leave=(r12q10eb*12)/52;
if r12q04b=3 then leave=(r12q10eb/2);
if r12q04b=2 then leave=r12q10eb;
if r12q04b=1 then leave=r12q10eb*6;
end;
/*CREATES VARIABLE FOR WEEKLY BONUSES*/
if admin=1 and r12q10fb ne . then do;
if r12q04b=5 then delete;
if r12q04b=4 then other=(r12q10fb*12)/52;
if r12q04b=3 then other=(r12q10fb/2);
if r12q04b=2 then other=r12q10fb;
if r12q04b=1 then other=r12q10fb*6;
end;

/*CREATES VARIABLE FOR WEEKLY FOOD ALLOWANCE*/
if sales=1 and r12q10ac ne . then do;
if r12q04c=5 then delete;
if r12q04c=4 then food=(r12q10ac*12)/52;
if r12q04c=3 then food=(r12q10ac/2);
if r12q04c=2 then food=r12q10ac;
if r12q04c=1 then food=r12q10ac*6;
end;
/*CREATES VARIABLE FOR WEEKLY HOUSING ALLOWANCE*/
if sales=1 and r12q10bc ne . then do;
if r12q04c=5 then delete;
if r12q04c=4 then house=(r12q10bc*12)/52;
if r12q04c=3 then house=(r12q10bc/2);
if r12q04c=2 then house=r12q10bc;
if r12q04c=1 then house=r12q10bc*6;
end;
/*CREATES VARIABLE FOR WEEKLY CLOTHING ALLOWANCE*/
if sales=1 and r12q10cc ne . then do;
if r12q04c=5 then delete;
if r12q04c=4 then cloth=(r12q10cc*12)/52;
if r12q04c=3 then cloth=(r12q10cc/2);
if r12q04c=2 then cloth=r12q10cc;
if r12q04c=1 then cloth=r12q10cc*6;
end;
/*CREATES VARIABLE FOR WEEKLY TRANSPORTATION ALLOWANCE*/
if sales=1 and r12q10dc ne . then do;
if r12q04c=5 then delete;
if r12q04c=4 then trans=(r12q10dc*12)/52;
if r12q04c=3 then trans=(r12q10dc/2);
if r12q04c=2 then trans=r12q10dc;
if r12q04c=1 then trans=r12q10dc*6;
end;
/*CREATES VARIABLE FOR WEEKLY LEAVE ALLOWANCE*/
if sales=1 and r12q10ec ne . then do;
if r12q04c=5 then delete;
if r12q04c=4 then leave=(r12q10ec*12)/52;
if r12q04c=3 then leave=(r12q10ec/2);
if r12q04c=2 then leave=r12q10ec;
if r12q04c=1 then leave=r12q10ec*6;
end;
/*CREATES VARIABLE FOR WEEKLY BONUSES*/
if sales=1 and r12q10fc ne . then do;
if r12q04c=5 then delete;
if r12q04c=4 then other=(r12q10fc*12)/52;
if r12q04c=3 then other=(r12q10fc/2);
if r12q04c=2 then other=r12q10fc;
if r12q04c=1 then other=r12q10fc*6;
end;


/*CREATES VARIABLE FOR WEEKLY FOOD ALLOWANCE*/
if prod=1 and r12q10ad ne . then do;
if r12q04d=5 then delete;
if r12q04d=4 then food=(r12q10ad*12)/52;
if r12q04d=3 then food=(r12q10ad/2);
if r12q04d=2 then food=r12q10ad;
if r12q04d=1 then food=r12q10ad*6;
end;
/*CREATES VARIABLE FOR WEEKLY HOUSING ALLOWANCE*/
if prod=1 and r12q10bd ne . then do;
if r12q04d=5 then delete;
if r12q04d=4 then house=(r12q10bd*12)/52;
if r12q04d=3 then house=(r12q10bd/2);
if r12q04d=2 then house=r12q10bd;
if r12q04d=1 then house=r12q10bd*6;
end;
/*CREATES VARIABLE FOR WEEKLY CLOTHING ALLOWANCE*/
if prod=1 and r12q10cd ne . then do;
if r12q04d=5 then delete;
if r12q04d=4 then cloth=(r12q10cd*12)/52;
if r12q04d=3 then cloth=(r12q10cd/2);
if r12q04d=2 then cloth=r12q10cd;
if r12q04d=1 then cloth=r12q10cd*6;
end;
/*CREATES VARIABLE FOR WEEKLY TRANSPORTATION ALLOWANCE*/
if prod=1 and r12q10dd ne . then do;
if r12q04d=5 then delete;
if r12q04d=4 then trans=(r12q10dd*12)/52;
if r12q04d=3 then trans=(r12q10dd/2);
if r12q04d=2 then trans=r12q10dd;
if r12q04d=1 then trans=r12q10dd*6;
end;
/*CREATES VARIABLE FOR WEEKLY LEAVE ALLOWANCE*/
if prod=1 and r12q10ed ne . then do;
if r12q04d=5 then delete;
if r12q04d=4 then leave=(r12q10ed*12)/52;
if r12q04d=3 then leave=(r12q10ed/2);
if r12q04d=2 then leave=r12q10ed;
if r12q04d=1 then leave=r12q10ed*6;
end;
/*CREATES VARIABLE FOR WEEKLY BONUSES*/
if prod=1 and r12q10fd ne . then do;
if r12q04d=5 then delete;
if r12q04d=4 then other=(r12q10fd*12)/52;
if r12q04d=3 then other=(r12q10fd/2);
if r12q04d=2 then other=r12q10fd;
if r12q04d=1 then other=r12q10fd*6;
end;

/*CREATES VARIABLE FOR WEEKLY FOOD ALLOWANCE*/
if tech=1 and r12q10ae ne . then do;
if r12q04e=5 then delete;
if r12q04e=4 then food=(r12q10ae*12)/52;
if r12q04e=3 then food=(r12q10ae/2);
if r12q04e=2 then food=r12q10ae;
if r12q04e=1 then food=r12q10ae*6;
end;
/*CREATES VARIABLE FOR WEEKLY HOUSING ALLOWANCE*/
if tech=1 and r12q10be ne . then do;
if r12q04e=5 then delete;
if r12q04e=4 then house=(r12q10be*12)/52;
if r12q04e=3 then house=(r12q10be/2);
if r12q04e=2 then house=r12q10be;
if r12q04e=1 then house=r12q10be*6;
end;
/*CREATES VARIABLE FOR WEEKLY CLOTHING ALLOWANCE*/
if tech=1 and r12q10ce ne . then do;
if r12q04e=5 then delete;
if r12q04e=4 then cloth=(r12q10ce*12)/52;
if r12q04e=3 then cloth=(r12q10ce/2);
if r12q04e=2 then cloth=r12q10ce;
if r12q04e=1 then cloth=r12q10ce*6;
end;
/*CREATES VARIABLE FOR WEEKLY TRANSPORTATION ALLOWANCE*/
if tech=1 and r12q10de ne . then do;
if r12q04e=5 then delete;
if r12q04e=4 then trans=(r12q10de*12)/52;
if r12q04e=3 then trans=(r12q10de/2);
if r12q04e=2 then trans=r12q10de;
if r12q04e=1 then trans=r12q10de*6;
end;
/*CREATES VARIABLE FOR WEEKLY LEAVE ALLOWANCE*/
if tech=1 and r12q10ee ne . then do;
if r12q04e=5 then delete;
if r12q04e=4 then leave=(r12q10ee*12)/52;
if r12q04e=3 then leave=(r12q10ee/2);
if r12q04e=2 then leave=r12q10ee;
if r12q04e=1 then leave=r12q10ee*6;
end;
/*CREATES VARIABLE FOR WEEKLY BONUSES*/
if tech=1 and r12q10fe ne . then do;
if r12q04e=5 then delete;
if r12q04e=4 then other=(r12q10fe*12)/52;
if r12q04e=3 then other=(r12q10fe/2);
if r12q04e=2 then other=r12q10fe;
if r12q04e=1 then other=r12q10fe*6;
end;


/*CREATES VARIABLE FOR WEEKLY FOOD ALLOWANCE*/
if super=1 and r12q10af ne . then do;
if r12q04f=5 then delete;
if r12q04f=4 then food=(r12q10af*12)/52;
if r12q04f=3 then food=(r12q10af/2);
if r12q04f=2 then food=r12q10af;
if r12q04f=1 then food=r12q10af*6;
end;
/*CREATES VARIABLE FOR WEEKLY HOUSING ALLOWANCE*/
if super=1 and r12q10bf ne . then do;
if r12q04f=5 then delete;
if r12q04f=4 then house=(r12q10bf*12)/52;
if r12q04f=3 then house=(r12q10bf/2);
if r12q04f=2 then house=r12q10bf;
if r12q04f=1 then house=r12q10bf*6;
end;
/*CREATES VARIABLE FOR WEEKLY CLOTHING ALLOWANCE*/
if super=1 and r12q10cf ne . then do;
if r12q04f=5 then delete;
if r12q04f=4 then cloth=(r12q10cf*12)/52;
if r12q04f=3 then cloth=(r12q10cf/2);
if r12q04f=2 then cloth=r12q10cf;
if r12q04f=1 then cloth=r12q10cf*6;
end;
/*CREATES VARIABLE FOR WEEKLY TRANSPORTATION ALLOWANCE*/
if super=1 and r12q10df ne . then do;
if r12q04f=5 then delete;
if r12q04f=4 then trans=(r12q10df*12)/52;
if r12q04f=3 then trans=(r12q10df/2);
if r12q04f=2 then trans=r12q10df;
if r12q04f=1 then trans=r12q10df*6;
end;
/*CREATES VARIABLE FOR WEEKLY LEAVE ALLOWANCE*/
if super=1 and r12q10ef ne . then do;
if r12q04f=5 then delete;
if r12q04f=4 then leave=(r12q10ef*12)/52;
if r12q04f=3 then leave=(r12q10ef/2);
if r12q04f=2 then leave=r12q10ef;
if r12q04f=1 then leave=r12q10ef*6;
end;
/*CREATES VARIABLE FOR WEEKLY BONUSES*/
if super=1 and r12q10ff ne . then do;
if r12q04f=5 then delete;
if r12q04f=4 then other=(r12q10ff*12)/52;
if r12q04f=3 then other=(r12q10ff/2);
if r12q04f=2 then other=r12q10ff;
if r12q04f=1 then other=r12q10ff*6;
end;


/*CREATES VARIABLE FOR WEEKLY FOOD ALLOWANCE*/
if master=1 and r12q10ag ne . then do;
if r12q04g=5 then delete;
if r12q04g=4 then food=(r12q10ag*12)/52;
if r12q04g=3 then food=(r12q10ag/2);
if r12q04g=2 then food=r12q10ag;
if r12q04g=1 then food=r12q10ag*6;
end;
/*CREATES VARIABLE FOR WEEKLY HOUSING ALLOWANCE*/
if master=1 and r12q10bg ne . then do;
if r12q04g=5 then delete;
if r12q04g=4 then house=(r12q10bg*12)/52;
if r12q04g=3 then house=(r12q10bg/2);
if r12q04g=2 then house=r12q10bg;
if r12q04g=1 then house=r12q10bg*6;
end;
/*CREATES VARIABLE FOR WEEKLY CLOTHING ALLOWANCE*/
if master=1 and r12q10cg ne . then do;
if r12q04g=5 then delete;
if r12q04g=4 then cloth=(r12q10cg*12)/52;
if r12q04g=3 then cloth=(r12q10cg/2);
if r12q04g=2 then cloth=r12q10cg;
if r12q04g=1 then cloth=r12q10cg*6;
end;
/*CREATES VARIABLE FOR WEEKLY TRANSPORTATION ALLOWANCE*/
if master=1 and r12q10dg ne . then do;
if r12q04g=5 then delete;
if r12q04g=4 then trans=(r12q10dg*12)/52;
if r12q04g=3 then trans=(r12q10dg/2);
if r12q04g=2 then trans=r12q10dg;
if r12q04g=1 then trans=r12q10dg*6;
end;
/*CREATES VARIABLE FOR WEEKLY LEAVE ALLOWANCE*/
if master=1 and r12q10eg ne . then do;
if r12q04g=5 then delete;
if r12q04g=4 then leave=(r12q10eg*12)/52;
if r12q04g=3 then leave=(r12q10eg/2);
if r12q04g=2 then leave=r12q10eg;
if r12q04g=1 then leave=r12q10eg*6;
end;
/*CREATES VARIABLE FOR WEEKLY BONUSES*/
if master=1 and r12q10fg ne . then do;
if r12q04g=5 then delete;
if r12q04g=4 then other=(r12q10fg*12)/52;
if r12q04g=3 then other=(r12q10fg/2);
if r12q04g=2 then other=r12q10fg;
if r12q04g=1 then other=r12q10fg*6;
end;

if food=. then food=0;
if house=. then house=0;
if cloth=. then cloth=0;
if trans=. then trans=0;
if leave=. then leave=0;
if other=. then other=0;
earn=wages+food+house+cloth+trans+leave+other;
if earn=0 then delete;
lnearn=log(earn);
lempl91=log(empl91);
year=1991;
earnm=earn*52/12;
lnearnm=log(earnm);
wave=1;
title 'Wave 1 male workers ';
fmage=fmage91;
union=union91;
lnearn91=lnearnm;
tenage=tenure/age;


keep firm wid wave male earnm age agesq tenure
                none primary middle second univ voc poly prof
                  educ yearsc mgmt sales admin tech super master prod
                hours tenage;

data work2; merge y.rec220c(in=a) y.rec221c y.rec222c y.rec223c;
by firm wid; if a;

/*defines casual workers*/
if z20q09=2 then casual=1;else casual=0;

/*creates variables of personal characteristics*/
if z20q02=1 then male=1; else male=0;
age=z20q03;
agesq=(age**2);
yearls=z20q04;
yearbn=1993-age;
yearsc=yearls-yearbn-6;


if z23q38=1 then rel=1; else rel=0;
if z23q28=1 then appfirm=1; else appfirm=0;
if z23q28=2 or z23q28=3 then appoth=1; else appoth=0;
if appfirm=1 or appoth=1 then appsome=1; else appsome=0;
if z23q36=1 then married=1; else married=0;

/*creates education variables*/
if z20q051=1 /*and z20q052=.*/ then none=1; else none=0;
if none=1 then educ=0;
if z20q051=2 /*and z20q052=.*/ then primary=1; else primary=0;
if primary=1 then educ=6;
if z20q051=3 /*and z20q052=.*/ then middle=1; else middle=0;
if middle=1 then educ=10;
if z20q051=4 /*and z20q052=.*/ then second=1; else second=0;
if second=1 then educ=14;
if z20q051=8 /*and z20q052=.*/ then univ=1; else univ=0;
if univ=1 then educ=19;
if z20q052=5 then voc=1; else voc=0;
if voc=1 then educ=11;
if voc=1 and z20q051=4 then educ=15;
if z20q052=6 then poly=1; else poly=0;
if poly=1 then educ=12;
if poly=1 and z20q051=4 then educ=16;
if z20q052=7 then prof=1; else prof=0;
if prof=1 then educ=13;
if prof=1 and z20q051=4 then educ=17;
if educ=. then none=.;
if educ=. then primary=.;
if educ=. then middle=.;
if educ=. then second=.;
if educ=. then univ=.;
if educ=. then poly=.;
if educ=. then voc=.;
if educ=. then prof=.;
if yearls=. and educ=0 then yearsc=0;



/*creates experience variables*/
exp=z20q08;
if exp=. then do;
exp=age-educ-6;
end;
expsq=(exp**2);

/*creates occupation variables*/
if z21q11=1 then mgmt=1; else mgmt=0;
if z21q11=2 then admin=1; else admin=0;
if z21q11=3 then sales=1; else sales=0;
if z21q11=4 then super=1; else super=0;
if z21q11=5 then tech=1;  else tech=0;
if z21q11=6 then skprod=1; else skprod=0;
if z21q11=7 then unprod=1; else unprod=0;
if z21q11=6 or z21q11=7 then prod=1; else prod=0;
if z21q11=8 then appren=1; else appren=0;
if z21q11=9 then master=1; else master=0;
if z21q11=10 then support=1; else support=0;


/*Creates occupational dummy*/
if mgmt=1 then ocdum='mgmt';
if admin=1 then ocdum='admin';
if sales=1 then ocdum='sales';
if super=1 then ocdum='super';
if tech=1 then ocdum='tech';
if prod=1 then ocdum='prod';
if master=1 then ocdum='master';
if support=1 then ocdum='support';
if appren=1 then ocdum='appren';


/*Creates origins variable; origin=1 if African*/
if z20q01=2 or z20q01=3 then origin=0;else origin=1;
if z20q01=1 then ethnic=1;
if z20q01=2 then ethnic=2;
if z20q01=3 then ethnic=3;
if z20q01=4 then ethnic=4;


/*creates tenure variable*/

tenurey=z20q07y;
tenurem=z20q07m/12;
if z20q07y=. then tenurey=0;
if z20q07m=. then tenurem=0;
tenure=tenurey+tenurem;
if z20q07y =. and z20q07m=. then tenure=.;
tensq=(tenure**2);


/*creates weekly wage variables*/
if z21q14u=. then delete;
if z21q14u=5 then wages=(z21q14a/52);
if z21q14u=4 then wages=(z21q14a*12)/52;
if z21q14u=3 then wages=z21q14a;
if z21q14u=2 then wages=(z21q14a*6);
if z21q14u=1 then wages=(z21q14a*z22q27);
if wages=0  then delete;
if wages=. then delete;
lnwages=log(wages);


/*Creates hours variable*/
hours=z22q27;
lnhours=log(hours);

/*creates weekly allowance variables*/
if z22q18 ne .  then do;
if z21q14u=5 then food=(z22q18/52);
if z21q14u=4 then food=(z22q18*12)/52;
if z21q14u=3 then food=z22q18;
if z21q14u=2 then food=(z22q18*6);
if z21q14u=1 then food=(z22q18*z22q27);
end;
if z22q18=. then food=0;

if z22q20 ne .  then do;
if z21q14u=5 then cloth=(z22q20/52);
if z21q14u=4 then cloth=(z22q20*12)/52;
if z21q14u=3 then cloth=z22q20;
if z21q14u=2 then cloth=(z22q20*6);
if z21q14u=1 then cloth=(z22q20*z22q27);
end;
if z22q20=.  then cloth=0;

if z22q22 ne .  then do;
if z21q14u=5 then trans=(z22q22/52);
if z21q14u=4 then trans=(z22q22*12)/52;
if z21q14u=3 then trans=z22q22;
if z21q14u=2 then trans=(z22q22*6);
if z21q14u=1 then trans=(z22q22*z22q27);
end;
if z22q22=. then trans=0;

if z22q24 ne .  then do;
wagesy=wages*52;
wagesm=wagesy/12;
xmas=(wagesm*z22q24)/52;
end;
if z22q24=. then xmas=0;
/*
if z22q26 ne . then do;
bonus=z22q26/52;
end;
if z22q26=. then bonus=0;
*/
earn=wages+food+cloth+trans+xmas;
if earn=0 then delete;
if earn=.  then delete;
earnm=earn*52/12;
lnearnm=log(earnm);
/*Checks on Allowances*/
pcall=wages*100/earn;
earn92=earn;
lnearn92=log(earn92);

data workers2; merge work2(in=a) y.rec02ext y.rec208c y.rec214c y.rec210c
 y.rec216c
                 x.rec07c(keep=firm r7q02)  v.sizew3 ;
by firm; if a;


/*Creates dummy variable for year*/
year=1992;
wave=2;


options linesize=80;

lempl92a=log(empl92a);
lnhours=log(hours);

if origin=1;
fmage=fmage92;
union=union92;
tenage=tenure/age;



keep firm wid wave male earnm age agesq tenure educ
        yearsc  ethnic none primary middle second univ voc poly prof
        mgmt admin sales tech super master support prod
        hours tenage;


data work3; merge z.rec326c(in=a)  z.rec327c z.rec328c z.rec329c;
by firm wid; if a;

options linesize=80;

/*defines  casual workers*/
if l26q12=2 then casual=1; else casual=0;

/*creates variables of personal characteristics*/
if l26q04=1 then male=1; else male=0;
age=l26q05;
agesq=(age**2);
if l27q13=1 then rel=1; else rel=0;
if l26q06=1 then married=1;else married=0;


yearls=l26q07;
yearbn=1994-age;
yearsc=yearls-yearbn-6;




/*defines hours variable*/
hours=l29q35;
lnhours=log(hours);


/*creates education variables*/
if l26q081=1  then none=1; else none=0;
if none=1 then educ=0;
if l26q081=2  then primary=1; else primary=0;
if primary=1 then educ=6;
if l26q081=3  then middle=1; else middle=0;
if middle=1 then educ=10;
if l26q081=4  then second=1; else second=0;
if second=1 then educ=14;
if l26q081=8 or l26q082=8 then univ=1; else univ=0;
if univ=1 then educ=19;
if l26q082=5 then voc=1; else voc=0;
if voc=1 then educ=11;
if voc=1 and l26q081=4 then educ=15;
if l26q082=6 then poly=1; else poly=0;
if poly=1 then educ=12;
if poly=1 and l26q081=4 then educ=16;
if l26q082=7 then prof=1; else prof=0;
if prof=1 then educ=13;
if prof=1 and l26q081=4 then educ=17;
if educ=. then none=.;
if educ=. then primary=.;
if educ=. then middle=.;
if educ=. then second=.;
if educ=. then univ=.;
if educ=. then poly=.;
if educ=. then voc=.;
if educ=. then prof=.;

if yearls=. and educ=0 then yearsc=0;


/*creates experience variables this is as wave 2 but incorrect*/
exp=l26q11;
if exp=. then do;
exp=age-educ-6;
end;
expsq=(exp**2);

/*creates occupation variables*/
if l27q15=1 or l27q15=2 then mgmt=1; else mgmt=0;
if l27q15=5 then admin=1; else admin=0;
if l27q15=7 or l27q15=9 or l27q15=10 then sales=1; else sales=0;
if l27q15=12 then super=1; else super=0;
if l27q15=3 or l27q15=4 or l27q15= 6
then proffes=1; else proffes=0;
if l27q15=13 or l27q15=14
then tech=1;else tech=0;
if l27q15=15  or l27q15=16   or l27q15=19 or l27q15=20
 then prod=1; else prod=0;
if l27q15=18 then appren=1; else appren=0;
if l27q15=17 then master=1; else master=0;
if l27q15=11 or l27q15=8  then support=1; else support=0;



/*Creates occupational dummy*/
if mgmt=1 then ocdum='mgmt';
if admin=1 then ocdum='admin';
if sales=1 then ocdum='sales';
if super=1 then ocdum='super';
if tech=1 then ocdum='tech';
if prod=1 then ocdum='prod';
if master=1 then ocdum='master';
if support=1 then ocdum='support';
if appren=1 then ocdum='appren';
if prof=1 then ocdum='prof';

/*Creates origin varialbe*/
if l26q03=2 or l26q03=3 then origin=0; else origin=1;
if l26q03=1 then ethnic=1;
if l26q03=2 then ethnic=2;
if l26q03=3 then ethnic=3;
if l26q03=4 then ethnic=4;

/*creates tenure variable*/

tenurey=l26q10y;
tenurem=l26q10m/12;
if l26q10y=. then tenurey=0;
if l26q10m=. then tenurem=0;
tenure=tenurey+tenurem;
if l26q10y =. and l26q10m=. then tenure=.;
tensq=(tenure**2);

/*creates weekly earnings variables after tax*/
if l27q19u=. then delete;
if l27q19u=5 then earn=(l27q20/52);
if l27q19u=4 then earn=(l27q20*12)/52;
if l27q19u=3 then earn=l27q20;
if l27q19u=2 then earn=(l27q20*6);
if l27q19u=1 then earn=(l27q20*l29q35);
if earn=0  then delete;
if earn=. then delete;
earnm=earn*52/12;
lnearnm=log(earnm);



data workers3; merge work3(in=a) v.sizew3;
by firm;
lempl93=log(empl93);

if origin=1 ;
wave=3;
union=union93;
fmage=fmage93;
lnearn93=lnearnm;
tenage=tenure/age;


keep wid firm wave male earnm age agesq tenure yearsc educ
none primary middle second univ voc poly prof
 mgmt admin proffes sales tech
super master support  prod
hours tenage ethnic;


/* combined worker data for the three waves */

data v.worker; set workers1 workers2 workers3;

if wave=1 then wave1=1;else wave1=0;
if wave=2 then wave2=1;else wave2=0;
if wave=3 then wave3=1;else wave3=0;


proc means;
run;
